
/* EYES.H    allgemeine Einstellungen */

#include <cpxdata.h>

#define SINTABMAX 90
#define TANTABMAX 89

#define MATHOFFSET  256L

extern WORD sintab[];
extern WORD tantab[];

extern XCPB *xcpb;

#define BUBBLEGEM_SHOW 0xBABB
#define BUBBLEGEM_ACK 0xBABC
#define BUBBLE "BUBBLE  "
#define STGUIDE "ST-GUIDE"
#define _COPS	"COPS    "
#define CPXETIMER "CPXETIME"
#define SENDBUBBLE 1
#define SENDGUIDE 0
#define SENDCOPS 2
#define SENDCPXET_SET 3
#define SENDCPXET_UNSET 4
#define SENDSPEAK 5


#define SET_IT 4567


#define NUMCOLARGS 6
#define BACKGROUND 0
#define AUGENRAND 1
#define AUGENBACK 2
#define PUPILLEN 3
#define POSBACK 4
#define POSTEXT 5

#define NUMCOLOR 3
#define COL2 0
#define COL4 1
#define COL16 2

#define cpobjcpos(_a_,_b_)  *((GRECT*)(&_a_.ob_x)) = *((GRECT*)(&_b_.ob_x))


typedef struct
{	LONG time;
	LONG bubbletime;
	WORD bubbleon;
	UWORD colors[NUMCOLOR][NUMCOLARGS];
} SAVEBLK;

extern SAVEBLK *saveblk;
extern SAVEBLK initdata; /* in cpxstart.s */

#define RAMSTRLEN 80
#define MAXSTR 4
#define RAMSIZE ((LONG)(RAMSTRLEN*MAXSTR))
