
/* DOG.H    allgemeine Einstellungen */

#include <cpxdata.h>

extern XCPB *xcpb;

#define TIMER 500L

#define BUBBLEGEM_SHOW 0xBABB
#define BUBBLEGEM_ACK 0xBABC
#define BUBBLE "BUBBLE  "
#define STGUIDE "ST-GUIDE"
#define _COPS	"COPS    "
#define CPXETIMER "CPXETIME"
#define SENDBUBBLE 1
#define SENDGUIDE 0
#define SENDCOPS 2
#define SENDCPXET_SET 3
#define SENDCPXET_UNSET 4

#define SET_IT 4567


#define NUMCOLARGS 7
#define DBACK 0
#define DRAHMEN 1
#define DZIFFERN 2
#define DISPLAY 3
#define DRAND1 4
#define DRAND2 5
#define DTEXT 6

#define NUMCOLOR 3
#define COL2 0
#define COL4 1
#define COL16 2

#define cpobjcpos(_a_,_b_)  *((GRECT*)(&_a_.ob_x)) = *((GRECT*)(&_b_.ob_x))


#define HOUR_CH 1
#define MINUTE_CH 2
#define DAY_CH 4
#define MONTH_CH 8
#define YEAR_CH 0x10


typedef struct
{	WORD dateon;
	WORD seton;
	WORD colors[NUMCOLOR][NUMCOLARGS];
} SAVEBLK;

extern SAVEBLK *saveblk;
extern SAVEBLK initdata; /* in cpxstart.s */

#define RAMSTRLEN 80
#define MAXSTR 4
#define RAMSIZE ((LONG)(RAMSTRLEN*MAXSTR))
