
#include <tmstdlib.h>
#include <cpxdata.h>
#include <aes.h>
#include <vaproto.h>
#include <string.h>

#include "dog.h"
#include "rsh.h"
#include "dog-rsc.h"
#include "proto.h"

#include "xmsg.h"
#include "cpxetime.h"


char __rscid[] = " $Version: DOG CPX  FREEWARE V 1.00 20.04.97  by ToMST, Thomas Maier $ ";

#define HELP() send_msg(SENDGUIDE,0,0,"*:\\CPXE.HYP DOG-CPX")
#define INITMAGIC asc2long('D','o','g',' ')

#define MOFFSET 10

#define DOG_W 32
#define DOG_H 36

#define BAUMPOS 50
#define BAUM_W 16

#define MOVE_W 4

#define NUMDOGS 10
WORD imagenr[NUMDOGS] = { ODSIT,ODST1,ODST2,ODJMP1,ODJMP2,ODJMP3,ODJMP4,
						  ODGO1,ODGO2,ODPIS };


XCPB *xcpb;

CPXINFO cpxinfo = { (WORD (*)(GRECT*))cpx_call, cpx_draw, cpx_wmove, cpx_timer, cpx_key,
					cpx_button, NULL, NULL, NULL, cpx_close };

WORD apl_id;
WORD numcol;  /* aktuelle Farbanzahl 0=2, 1=4, 2=16
		wird abgefragt ueber appl_getinfo und wird NICHT veraendert */
WORD anzcol;  /* Farbanzahl: 2,4,16 */

OBJECT *dog;
OBJECT *info;

BOOLEAN Cops = FALSE;
BOOLEAN MultiTOS = FALSE;
BOOLEAN isinfodialog = FALSE;
void *copsdialog;
OBJECT dtree = { -1,-1,-1,G_IBOX,LASTOB,0,{0L},0,0,1,1};

#define NUMFARBE 16
WORD farbm = 0;
char *farbmenu[] = { "  Wei          ",
					 "  Schwarz       ",
					 "  Rot           ",
					 "  Grn          ",
					 "  Blau          ",
					 "  Cyan          ",
					 "  Gelb          ",
					 "  Magenta       ",
					 "  Hellgrau      ",
					 "  Dunkelgrau    ",
					 "  Dunkelrot     ",
					 "  Dunkelgrn    ",
					 "  Dunkelblau    ",
					 "  Dunkelcyan    ",
					 "  Dunkelgelb    ",
					 "  Dunkelmagenta ",
					 NULL };

#define NUMWAHL NUMCOLARGS
WORD wahlm = 0;
char *wahlmenu[] = { "  Hintergr. ",
					 "  Gras      ",
					 "  Wolken    ",
					 "  Hund BG   ",
					 "  Hund FG   ",
					 "  Baum BG   ",
					 "  Baum FG  ",
					 NULL };

WORD colm = 0;
char *colmenu[] = { "  2   ",
					"  4   ",
					"  16  ",
					NULL };

#define NUMREFRESH 5
WORD refm = 1;
char *refmenu[] = { "  100 ms  ",
					"  250 ms  ",
					"  500 ms  ",
					"  750 ms  ",
					"  1000 ms ",
					NULL };


WORD abl_c = 4, x;

#define NOMOVE 0x1000

WORD ablauf[] = { ODGO1,ODGO2,ODGO1,ODGO2,
			 ODSIT|NOMOVE, ODSIT|NOMOVE, ODST1|NOMOVE,
			 ODST2|NOMOVE, ODJMP1,ODJMP2,ODJMP3,ODJMP4,
			 ODJMP1,ODJMP2,ODJMP3,ODJMP4,
			 ODJMP1,ODJMP2,ODJMP3,ODJMP4,
			 ODJMP1,ODJMP2,ODJMP3,ODJMP4,
			 ODJMP1,ODJMP2,ODJMP3,ODJMP4, ODGO1,ODGO2,ODGO1,ODGO2,
			 ODST2|NOMOVE,ODST1|NOMOVE,-1 };




/****************************************************************************
 *           CPX Funktionen 
 ****************************************************************************/

SAVEBLK *saveblk;
BOOLEAN xobj;

CPXINFO *cpx_init( XCPB *Xcpb, LONG copsmagic, LONG copsversion )
{	LONG *p;

	xcpb = Xcpb;
	
	Cops = ( copsmagic == asc2long('C','O','P','S') && copsversion >= 0x10000L );
	
	if ( xcpb->booting )
		return (CPXINFO*)1;
	
	p = (LONG*)cpxGet_Buffer(xcpb);
	saveblk = (SAVEBLK*)(p+1);
	if ( *p != INITMAGIC )
	{	*saveblk = initdata;
		*p = INITMAGIC;
	}
	if ( ! xcpb->SkipRshFix )
		InitDog();
	return &cpxinfo;
}


WORD bevent;
BOOLEAN vdiok;

WORD cpx_call( GRECT *work, void *_copsdialog )
{
	apl_id = appl_init();
	MultiTOS = (global[0] >= 0x399 && cpxgetcookie(xcpb,asc2long('M','a','g','X'),NULL))
			|| ( global[0] >= 0x400 && (global[1] == -1 || global[1] > 8) );
	
	if ( !Cops )
	{	form_alert(1,"[3][ | DOG.CPX luft nur mit | |      COPS][ OK ]");
		if ( MultiTOS )
			appl_exit();
		return 0;
	}
	
	InitRam();
	vdiok = InitVdi();
	get_farbanzahl();
		
	copsdialog = _copsdialog;
	dog[OBACK].ob_x = work->g_x;
	dog[OBACK].ob_y = work->g_y;
	cpobjcpos(dtree,dog[OBACK]);
	
	isinfodialog = FALSE;
	InitObjects();
	set_evnt_mask();
	send_msg(SENDCPXET_SET,0,0,NULL);
	wdlg_set_tree(copsdialog,&dtree);

	bevent = wind_set(wdlg_get_handle(copsdialog),WF_BEVENT,1,0,0,0);

	return 1; /* weitermachen */
}


void cpx_draw( GRECT *clip )
{
	/* CPXEtimer Untersttzung */
	if ( ! isinfodialog )
	{	if ( dog[OBACK].ob_x == clip->g_x && dog[OBACK].ob_y == clip->g_y
				&& clip->g_w == 1 && clip->g_h == 1 )
		{	WORD event;
			cpx_timer(&event);
			return;
		}
	}
	redraw(clip,isinfodialog ? info:dog,0);
}



void cpx_wmove( GRECT *work )
{
	info[OINFO].ob_x = work->g_x;
	info[OINFO].ob_y = work->g_y;
	dog[OBACK].ob_x = work->g_x;
	dog[OBACK].ob_y = work->g_y;
}


void cpx_timer( WORD *event )
{	WORD newobj;
	GRECT win;
	static WORD baumshow = 2;
	static WORD go = 0, gotimer;
	static BOOLEAN pissing = TRUE;
	static WORD oldobj = -1;

	*event = 0;

	if ( isinfodialog )
		return;

	abl_c++;
	if ( ablauf[abl_c] < 0 )
		abl_c = 0;
	if ( (go && go != ODPIS) || (!go && !(ablauf[abl_c] & NOMOVE)) )	
	{	x += MOVE_W;
		if ( x > (FELD_W - DOG_W) )
		{	/* move window */
			WORD sx,sy,sw,sh;
			
			baumshow--;
			if ( baumshow < 0 )
			{	baumshow = 2;
				dog[OBAUM].ob_flags |= HIDETREE;
				pissing = !pissing;
			}
				
			x = 0;
			oldobj = -1;
			wind_get(0,WF_WORKXYWH,&sx,&sy,&sw,&sh);
			dog[ODOGS].ob_flags |= HIDETREE;
			if ( saveblk->vdion ) paste_image();
			redraw(NULL,dog,OBACK);
			if ( (dog[OBACK].ob_x + FELD_W) > (sx + sw) )
				dog[OBACK].ob_x = sx + MOVE_W;
			else
				dog[OBACK].ob_x += (FELD_W - DOG_W);
			cpobjcpos(dtree,dog[OBACK]);
			wdlg_set_size(copsdialog,(GRECT*)&dog[OBACK].ob_x);

			if ( baumshow == 0 )
			{
				dog[OBAUM].ob_flags &= ~HIDETREE;
				if ( saveblk->vdion ) paste_image();
				redraw(NULL,dog,OBAUM);
			}
			dog[ODOGS].ob_flags &= ~HIDETREE;
		}
	}
	
	newobj = ablauf[abl_c] & ~NOMOVE;
	if ( baumshow == 0 && pissing )
	{	switch ( go )
		{
		 case ODGO1:	go = ODGO2; break;
		 case ODGO2:	go = ODGO1; break;
		 case ODPIS:	if ( --gotimer > 0 )
		 					break;
		 				go = 0; abl_c = 0;
		 				newobj = ablauf[0] & ~NOMOVE;
		 				baumshow--;
		 				break;
		 default:		if ( newobj == ODSIT || newobj == ODST1 || newobj == ODST2
		 						|| newobj == ODJMP4 )
		 					go = ODGO1;
		 				else if ( newobj == ODGO2 || newobj == ODGO1 )
		 					go = newobj;
		 				break;
		}
		if ( go )
		{	if ( go != ODPIS && x >= BAUMPOS + BAUM_W - 4 )
			{	go = ODPIS;
				gotimer = 10;
			}
			newobj = go;
		}
	}
	dog[newobj].ob_x = x;
	dog[ODOGS].ob_head = dog[ODOGS].ob_tail = newobj;
	if ( oldobj != newobj )
	{	if ( saveblk->vdion ) paste_image();
		win.g_x = dog[OBACK].ob_x + x - MOVE_W; /* damit altes Bild berschrieben wird */
		win.g_y = dog[OBACK].ob_y + dog[newobj].ob_y;
		win.g_w = DOG_W + MOVE_W;
		win.g_h = DOG_H;
		redraw(&win,dog,OBACK);
		if ( saveblk->bubbleon && newobj == ODSIT )
		{	register GRECT *g;
			win.g_x += DOG_W;
			win.g_y += 2;
			win.g_w = 1;
			win.g_h = 1;
			g = cpxGetFirstRect(xcpb,&win);
			if ( g )
				if ( g->g_w != 0 && g->g_h != 0 )
					send_msg(SENDSPEAK,win.g_x,win.g_y,"Wau Wau");
		}
		oldobj = newobj;
	}
}



void cpx_key( WORD kstate, WORD key, WORD *event )
{
	BOOLEAN di = isinfodialog && (kstate & 8);
#define nodialoginput() ( ! di )

	*event = 0;

doitagain:
	switch ( key & 0xff )
	{
	 case 0:	switch ( (key >> 8) & 0xff )
	 			{
	 			 case 98: /* Help */
 			 					HELP();
	 			 				break;
	 			 				
	 			 case 97: /* Undo */
	 			 				if ( isinfodialog)
	 								switch_to_dog();
	 							else
	 								switch_to_info();
	 							break;
	 			 
	 			 case 30: /* ALT A */
	 			 				if ( ! nodialoginput() )
	 			 				{		colm++;
	 									if ( colm >= NUMCOLOR )
	 										colm = 0;
	 									new_colornum(colm);
	 							}
	 							break;
	 			 
	 			 case 24: /* ALT O */
	 			 				if ( ! nodialoginput() )
	 			 				{	wahlm++;
	 			 					if ( wahlm >= NUMWAHL )
	 			 						wahlm = 0;
	 			 					info[OWAHL].ob_spec.free_string = wahlmenu[wahlm];
	 								redraw(NULL,info,OWAHL);
	 								new_col();
	 							}
	 							break;
	 			
	 			 case 33: /* ALT F */
	 			 				if ( ! nodialoginput() )
	 			 				{	WORD anz;
	 			 					switch (colm)
	 			 					{ default:
	 			 					  case COL2:	anz = 2; break;
	 			 					  case COL4:	anz = 4; break;
	 			 					  case COL16:	anz = 16; break;
	 			 					}
	 			 					farbm++;
	 			 					if ( farbm >= anz )
	 			 						farbm = 0;
	 			 					saveblk->colors[colm][wahlm] = farbm;
									new_col();
	 								InitColors();
	 							}
	 							break;
	 			
	 			 case 19: /* ALT R */
	 			 				if ( ! nodialoginput() )
	 			 				{	refm++;
	 			 					if ( refm >= NUMREFRESH )
	 			 						refm = 0;
	 			 					set_refresh(refm);
	 			 					redraw(NULL,info,OREFRESH);
	 			 				}
	 			 				break;
	 			 				
	 			 case 48: /* ALT B */
	 			 				if ( ! nodialoginput() )
	 			 					saveblk->bubbleon = sel_button(OBUBON);
	 			 				break;
	 			 
	 			 case 47: /* ALT V */
	 			 				if ( ! nodialoginput() )
	 			 					saveblk->vdion = sel_button(OVDI);
	 			 				break;
	 			 
	 			 case 17: /* ALT W */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 13;
	 			 				goto doitagain;
	 			 
	 			 case 46: /* ALT C */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 127;
	 			 				goto doitagain;
	 			 
	 			 case 31: /* ALT S */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 19;
	 			 				goto doitagain;

	 			}
	 			return;
	
	 case 19: /* ^S */
	 			save_defaults();
	 			break;
	 
	 case 17: /* ^Q */
	 case 127: /* Del */
	 			cpx_close(0);
	 			*event = 1;
	 			break;
	 
	 case 9: /* ^I */
	 			if ( !isinfodialog) switch_to_info();
	 			break;
	 
	 case 13:
	 			if ( isinfodialog)
	 				switch_to_dog();
	 			break;
	}
}


void cpx_button( MRETS *mrets, WORD nclicks, WORD *event )
{
	WORD ret;
	BOOLEAN hlp = (mrets->buttons & 2) != 0;
	
	*event = 0;
	
	if ( ! (mrets->buttons & 3) )
		return;

	if ( ! isinfodialog )
	{
#define NUMEMENU 6
		static char *emenu[] = { "  Toppen        ",
								 "  Info       ^I ",
								 "  Refreshrate   ",
								 "  akt. Farbe    ",
								 "  Sichern    ^S ",
								 "  Schlieen  ^Q ",
								 NULL };
	
		if ( hlp )
		{	switch_to_info();
			return;
		}
		if ( nclicks > 1 )
		{	top_window();
			return;
		}

		
		switch ( ePopup(emenu,NUMEMENU,-1) )
		{
		 case 0:	top_window(); break;
		 
		 case 1:	switch_to_info(); break;
		 
		 case 2:	set_refresh(ePopup(refmenu,NUMREFRESH,refm));
		 			send_msg(SENDCPXET_SET,0,0,NULL);
					break;
		 
		 case 3:	ret = ePopup(wahlmenu,NUMWAHL,-1);
		 			if ( ret >= 0 && ret < NUMWAHL )
		 			{	WORD col = ePopup(farbmenu,anzcol,saveblk->colors[numcol][ret]);
		 				if ( col >= 0 && col < anzcol )
		 				{	saveblk->colors[numcol][ret] = col;
		 					__new_col();
		 					InitColors();
		 					redraw(NULL,dog,OBACK);
		 				}
		 			}
		 			break;
		 
		 case 4:	save_defaults(); break;
		 
		 case 5:	cpx_close(0); *event = 1; break;
		
		}
		
		return;
	}

	if (hlp)
	{	char *s;
#define Help(_s_) s = _s_ ; break
		switch ( ret = objc_find(info,OINFO,MAX_DEPTH,mrets->x,mrets->y) )
		{
		 case OGOON:	Help("Weiter zur|Animation");
		 case OCLOSE:	Help("CPX-Fenster|schlieen");
		 case OSAVE:	Help("Akt. Einstellung in|CPX-Datei sichern");
		 case OHELP:	Help("Hilfe-Hypertext|anzeigen");
		 case ORX:
		 case OREFRESH: Help("Zeitdauer zwischen|2 Animationsredraws");
		 case OBUBON:	Help("Bei Doppelklick:|BUBCONF.CPX aufrufen");
		 case OFANZX:
		 case OFANZ:	Help("Farbanzahl, fr die die Ein-|stellungen gelten sollen");
		 case OWAHLX:
		 case OWAHL:	Help("Auswahl des|Objekts");
		 case OFARBE:
		 case OFBOX:
		 case OFSTRING:
		 case OFX:
		 			 Help("Legt die Farbe fr das|ausgewhlte Objekt fest");
		 default:
	 					top_window();
		 				return;
		}
#undef Help(_s_)
		send_msg(SENDBUBBLE,mrets->x,mrets->y,s);
		button_click(2,ret);
		return;
	}

	switch ( objc_find(info,OINFO,MAX_DEPTH,mrets->x,mrets->y) )
	{
	 case OGOON:
	 				if ( button_click(0,OGOON) ) switch_to_dog();
	 				break;
	 
	 case OCLOSE:
	 				if ( button_click(0,OCLOSE) )
	 				{ *event = 1; cpx_close(0); }
	 				break;
	 
	 case OSAVE:
	 				if ( button_click(0,OSAVE) )
	 					save_defaults();
	 				break;
	 
	 case OHELP:
	 				if ( button_click(0,OHELP) )
	 					HELP();
	 				break;
	 
	 case OREFRESH:
		 			set_refresh(Popup(OREFRESH,refmenu,NUMREFRESH,refm));
					redraw(NULL,info,OREFRESH);
					break;

	 case OBUBON:
	 				if ( nclicks > 1 )
	 					send_msg(SENDCOPS,0,0,"BUBCONF.CPX");
	 				else
	 					saveblk->bubbleon = button_click(1,OBUBON);
	 				break;
	 
	 case OVDI:		saveblk->vdion = button_click(1,OVDI);
	 				break;

	 
	 case OFANZ:
	 				ret = Popup(OFANZ,colmenu,NUMCOLOR,colm);
	 				if ( ret >= 0 && ret < NUMCOLOR )
	 					new_colornum(ret);
	 				break;
	 
	 case OWAHL:
	 				ret = Popup(OWAHL,wahlmenu,NUMWAHL,wahlm);
	 				if ( ret >= 0 && ret < NUMWAHL )
	 				{	wahlm = ret;
	 					info[OWAHL].ob_spec.free_string = wahlmenu[ret];
	 					redraw(NULL,info,OWAHL);
	 					new_col();
	 				}
	 				break;
	
	 case OFARBE:
	 case OFBOX:
	 case OFSTRING:
	 		
	 			 {
	 				WORD anz;
	 				switch ( colm )
	 				{ default:
	 				  case COL2:	anz = 2; break;
	 				  case COL4:	anz = 4; break;
	 				  case COL16:	anz = 16; break;
	 				}
	 				ret = Popup(OFSTRING,farbmenu,anz,farbm); 
					if ( ret >= 0 && ret < anz )
					{	saveblk->colors[colm][wahlm] = farbm = ret;
						new_col();
	 					InitColors();
	 				}
	 				break;
				  }
	 default:
 					top_window();
	 				break;

	}
}


void cpx_close(WORD flag)
{
	send_msg(SENDCPXET_UNSET,0,0,NULL);
	DeinitVdi();
	FreeRam();
	if ( MultiTOS )
		appl_exit();
}

	

/**********************************************************************************
 *   Hilfsfunktionen
 **********************************************************************************/
 

/* Setze alle Objekte auf ihre richtigen Farbwerte */
void InitColors(void)
{
	UWORD *p = &saveblk->colors[numcol][0];
	WORD i,k;

	dog[OHIMMEL].ob_spec.index = (p[BACKGROUND] & 0xf) | 0x70;
	dog[OGRAS].ob_spec.bitblk->bi_color = p[GRAS];
	dog[OWOLKE].ob_spec.bitblk->bi_color = p[WOLKE];
	
	dog[OBAUM].ob_spec.iconblk->ib_char = (p[BAUMFG] << 12) | ((p[BAUMBG] << 8) & 0xf00);
	
	for ( i = 0; i < NUMDOGS; i++ )
	{	k = imagenr[i];
		dog[k].ob_spec.iconblk->ib_char = (p[HUNDFG] << 12) | ((p[HUNDBG] << 8) & 0x0f00);
	}
	
	if ( saveblk->vdion && !isinfodialog ) 
		paste_image();
}


void InitObjects(void)
{	WORD i,k;

	if ( appl_getinfo(13,&i,&i,&i,&k) && (k & 4) ) /* WHITEBACK steuert Objekte */
	{
		info[ORFARBE].ob_spec.free_string = " Farbeinstellung ";
		info[ORFARBE].ob_type = G_BUTTON;
		info[ORFARBE].ob_state = 0xfe00|WHITEBAK;
		info[ORTIME].ob_spec.free_string = " Optionen ";
		info[ORTIME].ob_type = G_BUTTON;
		info[ORTIME].ob_state = 0xfe00|WHITEBAK;
		info[ORFTEXT].ob_flags |= HIDETREE;
		info[ORTTEXT].ob_flags |= HIDETREE;
		xobj = TRUE;
	}
	else
	{	info[ORFARBE].ob_spec.index = 0x11000L;
		info[ORFARBE].ob_type = G_IBOX;
		info[ORFARBE].ob_state = 0;
		info[ORTIME].ob_spec.index = 0x11000L;
		info[ORTIME].ob_type = G_IBOX;
		info[ORTIME].ob_state = 0;
		xobj = FALSE;
	}

	InitColors();

	refm = set_refresh(SET_IT);
	info[OREFRESH].ob_spec.free_string = refmenu[refm];
	info[OWAHL].ob_spec.free_string = wahlmenu[wahlm];
	colm = numcol;
	info[OFANZ].ob_spec.free_string = colmenu[colm];
	__new_col();
	if ( saveblk->bubbleon )
		info[OBUBON].ob_state |= SELECTED;
	else
		info[OBUBON].ob_state &= ~SELECTED;
	if ( saveblk->vdion )
		info[OVDI].ob_state |= SELECTED;
	else
		info[OVDI].ob_state &= ~SELECTED;
	if ( !vdiok )
		info[OVDI].ob_state |= DISABLED;
}


/* Initialisiert Objektbaeume,  wird in cpx_init aufgerufen */
void InitDog(void)
{
	WORD i,k; ICONBLK *ic;

	info = rs_trindex[OTINFO];
	/* damit Fenstergre gleich richtig gesetzt wird */
	dtree.ob_width = ((FELD_W & 0x7) << 8)
						+ (FELD_W >> 3);
	dtree.ob_height = ((FELD_H & 0xf) << 8)
						+ (FELD_H >> 4);
	cpxrsh_obfix(xcpb,&dtree,0);
	
	for ( i = 0; i < NUM_OBJS; i++ )
		cpxrsh_obfix(xcpb,rs_object,i);

	x = (FELD_W - DOG_W)/2;
	abl_c = 4;
	
	dog = rs_trindex[OTDOGS];
	dog[OBACK].ob_width = FELD_W;
	dog[OBACK].ob_height = FELD_H;
	dog[OBACK].ob_spec.index = 0L;
	dog[OHIMMEL].ob_x = 0;
	dog[OHIMMEL].ob_y = 0;
	dog[OHIMMEL].ob_width = FELD_W;
	dog[OHIMMEL].ob_height = FELD_H - 6;
	dog[OGRAS].ob_x = 0;
	dog[OGRAS].ob_y = FELD_H - 8;
	dog[OWOLKE].ob_x = 8;
	dog[OWOLKE].ob_y = 2;
	dog[OBAUM].ob_x = BAUMPOS;
	dog[OBAUM].ob_y = 0;
	dog[OBAUM].ob_flags |= HIDETREE;
	dog[ODOGS].ob_x = 0;
	dog[ODOGS].ob_y = 0;
	dog[ODOGS].ob_width = FELD_W;
	dog[ODOGS].ob_height = FELD_H;
	dog[ODOGS].ob_spec.index = 0L;
	for ( i = 0; i < NUMDOGS; i++ )
	{	k = imagenr[i];
		dog[k].ob_y = (FELD_H - DOG_H) / 2;
		ic = dog[k].ob_spec.iconblk;
		ic->ib_xchar = ic->ib_ychar = ic->ib_xtext = ic->ib_ytext = 200;
		ic->ib_wtext = 0;
		ic->ib_htext = 0;
		dog[k].ob_next = ODOGS;
		dog[k].ob_x = x;
	}
	dog[ODOGS].ob_head = dog[ODOGS].ob_tail = ablauf[abl_c] & ~NOMOVE;
}


/* Universelle Redrawroutine
		ist clip == NULL, wird als clip das GRECT des Wurzelobjekts verwendet */
void redraw( GRECT *clip, OBJECT *tree, WORD obj)
{
	GRECT *win;
	
	if ( ! clip )
		clip = (GRECT*)&tree[ROOT].ob_x;
	wind_update(BEG_UPDATE);
	win = cpxGetFirstRect(xcpb,clip);
	graf_mouse(M_OFF,NULL);
	while (win)
	{	if ( win->g_w == 0 && win->g_h == 0 )
			break;
		if ( tree == dog && saveblk->vdion && vdiok )
			blitdraw((GRECT*)&tree[ROOT].ob_x,win);
		else
			objc_draw(tree,obj,MAX_DEPTH,win->g_x,win->g_y,win->g_w,win->g_h);
		win = cpxGetNextRect(xcpb);
	}
	graf_mouse(M_ON,NULL);
	wind_update(END_UPDATE);
}



void top_window(void)
{	static WORD msg[8] = { WM_TOPPED, 0, 0, 0, 0, 0, 0, 0 };
	if ( !bevent ) return;
	msg[1] = apl_id;
	msg[3] = wdlg_get_handle(copsdialog);
	appl_write(apl_id,16,msg);
}


void _switch_redraw(OBJECT tree[])
{
	WORD msg[8];
	
	msg[0] = WM_REDRAW; msg[1] = apl_id; msg[2] = 0;
	msg[3] = wdlg_get_handle(copsdialog);
	*((GRECT*)&msg[4]) = *((GRECT*)&tree[ROOT].ob_x);
	appl_write(apl_id,16,msg);
}

GRECT rect;

void switch_to_info(void)
{	GRECT s;
	WORD x,y,w,h;
	
	wind_get(0,WF_WORKXYWH,&s.g_x,&s.g_y,&s.g_w,&s.g_h);
	x = dog[OBACK].ob_x;
	y = dog[OBACK].ob_y;
	w = info[OINFO].ob_width;
	h = info[OINFO].ob_height;
	rect = *(GRECT*)&dog[OBACK].ob_x;
	if ( x + w > s.g_x + s.g_w )   x = s.g_x + s.g_w - w;
	if ( x < s.g_x )	x = s.g_x;
	if ( y + h > s.g_y + s.g_h )   y = s.g_y + s.g_h - h;
	if ( y < s.g_y )    y = s.g_y;
	info[OINFO].ob_x = x;
	info[OINFO].ob_y = y;
	isinfodialog = TRUE;
	send_msg(SENDCPXET_UNSET,0,0,NULL);
	cpobjcpos(dtree,info[OINFO]);
	wdlg_set_size(copsdialog,(GRECT*)&info[OINFO].ob_x);
	_switch_redraw(info);
}


void switch_to_dog(void)
{
	*(GRECT*)&dog[OBACK].ob_x = rect;
	isinfodialog = FALSE;
	send_msg(SENDCPXET_SET,0,0,NULL);
	cpobjcpos(dtree,dog[OBACK]);
	if ( saveblk->vdion )
		paste_image();
	wdlg_set_size(copsdialog,(GRECT*)&dog[OBACK].ob_x);
	_switch_redraw(dog);
}

WORD sel_button(WORD obj)
{	WORD ret = (info[obj].ob_state ^= SELECTED) & SELECTED;
	if ( xobj )
	{	GRECT box;
	 	objc_offset(info,obj,&box.g_x,&box.g_y);
	 	box.g_w = 16;
	 	box.g_h = 16;
	 	redraw(&box,info,OINFO);
	}
	else
		redraw(NULL,info,obj);
	return ret != 0;
}


/* Behandelt einen Mausklick auf einen Button, nur fuer info-Baum */
WORD button_click( WORD mode, WORD obj )
{	WORD x,y,b,i;

	if ( mode == 1)
		sel_button(obj);
	else if ( mode == 0 )
	{	info[obj].ob_state ^= SELECTED;
		redraw(NULL,info,obj);
	}
	for (;;)
	{	graf_mkstate(&x,&y,&b,&i);
		if ( ! (b & 3) )
		{	i = 1;
			break;
		}
		if ( obj != objc_find(info,OINFO,MAX_DEPTH,x,y) )
		{	i = 0;
			break;
		}
	}
	if ( mode == 0)
	{	info[obj].ob_state ^= SELECTED;
		redraw(NULL,info,obj);
		return i;
	}
	return (info[obj].ob_state & SELECTED)!=0;
}
		
/* Zeigt Popup an, nur fuer info-Baum */
WORD Popup(WORD obj,char *menu[],WORD numitems,WORD start)
{	GRECT box;

	objc_offset(info,obj,&box.g_x,&box.g_y);
	box.g_w = info[obj].ob_width;
	box.g_h = info[obj].ob_height;
	return cpxPopup(xcpb,menu,numitems,start,IBM,&box,(GRECT*)&info[OINFO].ob_x);
}

/* Zeigt Popup an, nur fr dog-Baum */
WORD ePopup(char *menu[],WORD numitems,WORD start)
{	GRECT box;
	WORD i;

	graf_mkstate(&box.g_x,&box.g_y,&i,&i);
	i = strlen(menu[0]) * 8;
	box.g_x -= (i>>1);
	box.g_y -= 4;
	box.g_w = i;
	box.g_h = 8;
	return cpxPopup(xcpb,menu,numitems,start,IBM,&box,(GRECT*)&dog[OBACK].ob_x);
}



WORD set_refresh( WORD num )
{	static WORD tab[NUMREFRESH] = { 100,250,500,750,1000 };
	if ( num == SET_IT )
	{	WORD i;
		for ( i = 0; i < NUMREFRESH; i++ )
			if ( saveblk->time == (LONG)tab[i] )
				return i;
		return 0;
	}
	
	if ( num >= 0 && num < NUMREFRESH )
	{	refm = num;
		saveblk->time = (LONG)tab[num];
	}
	info[OREFRESH].ob_spec.free_string = refmenu[refm];
	set_evnt_mask();
	return refm;
}



void __new_col(void)
{
	 farbm = saveblk->colors[colm][wahlm];
	 info[OFSTRING].ob_spec.free_string = farbmenu[farbm];
	 info[OFBOX].ob_spec.index &= 0xfffffff0L;
	 info[OFBOX].ob_spec.index |= farbm;
}

void new_col(void)
{
	 __new_col();
	 redraw(NULL,info,OFARBE);
}

void new_colornum( WORD num )
{
	colm = num;
	info[OFANZ].ob_spec.free_string = colmenu[num];
	redraw(NULL,info,OFANZ);
	new_col();
}


void send_msg(WORD mode,WORD x,WORD y, char *s)
{	WORD msg[8+8+RAMSTRLEN/2+2], *mp;
	WORD xmsg_id, len, id;
	char *p;
	extern void *ram;
	extern WORD cram;
	
	if ( mode == SENDCPXET_SET || mode == SENDCPXET_UNSET )
	{	id = appl_find(CPXETIMER);
		if ( id < 0 ) return;
		msg[1] = apl_id;
		msg[2] = 0;
		msg[3] = wdlg_get_handle(copsdialog);
		msg[4] = msg[5] = msg[6] = msg[7] = 0;
		if ( mode == SENDCPXET_SET )
		{	msg[0] = CPXETIMER_SET;
			msg[4] = saveblk->time;
		}
		else msg[0] = CPXETIMER_UNSET;
		appl_write(id,16,msg);
		return;
	}
	
	if ( (xmsg_id = appl_find("XMSG    ")) < 0 )
	{
		if ( ram == NULL )
			return;
		if ( cram >= MAXSTR )  cram = 0;
		p = (char*)ram + RAMSTRLEN * cram;
	}
	else p = (char*)&msg[16];
	
	if ( mode == SENDBUBBLE || mode == SENDSPEAK )
	{
		if ( (msg[3] = appl_find(BUBBLE)) < 0 )
			return;
		if ( mode == SENDSPEAK )
		{	WORD mx,my,a;
			graf_mkstate(&mx,&my,&a,&a);
			if ( (mx > x - MOFFSET) && (mx < x + MOFFSET) )
				if ( (x -= MOFFSET) < 0 ) x += 2*MOFFSET;
			if ( (my > y - MOFFSET) && (my < y + MOFFSET) )
				if ( (y -= MOFFSET) < 0 ) y += 2*MOFFSET;
		}
		msg[4] = 5;
		msg[8] = BUBBLEGEM_SHOW;
		msg[11] = x;
		msg[12] = y;
		*(char**)&msg[13] = (xmsg_id >= 0 ? (char*)16L : p );
	}
	else
	{	if ( (msg[3] = appl_find(mode == SENDCOPS ? _COPS : STGUIDE)) < 0 )
			return;
		msg[4] = 3;
		msg[8] = VA_START;
		*(char**)&msg[11] = (xmsg_id >= 0 ? (char*)16L : p );
		msg[13] = 0;
		msg[14] = 0;
	}
	msg[10] = 0;
	msg[15] = 0;
	
	if ( xmsg_id >= 0 )
	{	len = 16 + 1 + strlen(s);
		if ( len > (RAMSTRLEN + 16) )
			len = RAMSTRLEN + 16;
		msg[0] = XMESSAGE;
		msg[1] = xmsg_id; /* Damit AV_STARTED etc. nicht an COPS gesendet wird */
		msg[2] = len;
		msg[5] = -1;
		msg[6] = 0;
		msg[7] = 0;
		msg[9] = xmsg_id;
		mp = msg;
	}
	else
	{	cram++;
		mp = &msg[8];
		len = 0;
		msg[9] = apl_id;
		xmsg_id = msg[3];
	}
	
	strncpy(p,s,RAMSTRLEN-1);
	p[RAMSTRLEN-1] = 0;
	appl_write(xmsg_id,16+len,mp);
}
