
#include <tmstdlib.h>
#include <cpxdata.h>
#include <aes.h>
#include <vaproto.h>
#include <string.h>

#include "eyes.h"
#include "rsh.h"
#include "eyes-rsc.h"
#include "proto.h"

#include "xmsg.h"
#include "cpxetime.h"

char __rscid[] = " $Version: EYES CPX  FREEWARE V 1.00  20.04.97  by ToMST, Thomas Maier $ ";

#define HELP() send_msg(SENDGUIDE,0,0,"*:\\CPXE.HYP EYES-CPX")
#define INITMAGIC asc2long('E','y','e','s')


#define MOFFSET 10

XCPB *xcpb;

CPXINFO cpxinfo = { (WORD (*)(GRECT*))cpx_call, cpx_draw, cpx_wmove, cpx_timer, cpx_key,
					cpx_button, NULL, NULL, NULL, cpx_close };

WORD apl_id;
WORD numcol;  /* aktuelle Farbanzahl 0=2, 1=4, 2=16
		wird abgefragt ueber appl_getinfo und wird NICHT veraendert */
WORD anzcol;  /* Farbanzahl: 2,4,16 */

OBJECT *eyes;
OBJECT *info;
WORD eyes_w, eyes_h, pup_w2, pup_h2; /* Groessen der Augenteile */
WORD pup1x,pup2x,pupy; /* Augenmittelpunkte */

WORD n1x,n1y,n2x,n2y; /* neue Pupillenposition */
WORD o1x,o1y,o2x,o2y; /* alte     "            */


BOOLEAN Cops = FALSE;
BOOLEAN MultiTOS = FALSE;
BOOLEAN mtos = FALSE, magx = FALSE;
BOOLEAN isinfodialog = FALSE;
void *copsdialog;
OBJECT dtree = { -1,-1,-1,G_IBOX,LASTOB,0,{0L},0,0,1,1};


#define NUMFARBE 16
WORD farbm = 0;
char *farbmenu[] = { "  Wei          ",
					 "  Schwarz       ",
					 "  Rot           ",
					 "  Grn          ",
					 "  Blau          ",
					 "  Cyan          ",
					 "  Gelb          ",
					 "  Magenta       ",
					 "  Hellgrau      ",
					 "  Dunkelgrau    ",
					 "  Dunkelrot     ",
					 "  Dunkelgrn    ",
					 "  Dunkelblau    ",
					 "  Dunkelcyan    ",
					 "  Dunkelgelb    ",
					 "  Dunkelmagenta ",
					 NULL };

#define NUMWAHL NUMCOLARGS
WORD wahlm = 0;
char *wahlmenu[] = { "  Hintergr. ",
					 "  Augenrand ",
					 "  Augapfel  ",
					 "  Pupillen  ",
					 "  Pos.Back  ",
					 "  Pos.Text  ",
					 NULL };

WORD colm = 0;
char *colmenu[] = { "  2   ",
					"  4   ",
					"  16  ",
					NULL };

#define NUMREFRESH 5
WORD refm = 1;
char *refmenu[] = { "  100 ms  ",
					"  250 ms  ",
					"  500 ms  ",
					"  750 ms  ",
					"  1000 ms ",
					NULL };

#define NUMBUBBLE 5
WORD bubblem = 1;
char *bubmenu[] = { "  5 s  ",
					"  10 s ",
					"  20 s ",
					"  30 s ",
					"  60 s ",
					NULL };
					

/****************************************************************************
 *           CPX Funktionen 
 ****************************************************************************/

SAVEBLK *saveblk;
BOOLEAN xobj;

CPXINFO *cpx_init( XCPB *Xcpb, LONG copsmagic, LONG copsversion )
{	LONG *p;

	xcpb = Xcpb;
	
	Cops = ( copsmagic == asc2long('C','O','P','S') && copsversion >= 0x10000L );

	if ( xcpb->booting )
		return (CPXINFO*)1;
	
	p = (LONG*)cpxGet_Buffer(xcpb);
	saveblk = (SAVEBLK*)(p+1);
	if ( *p != INITMAGIC )
	{	*saveblk = initdata;
		*p = INITMAGIC;
	}
	
	if ( ! xcpb->SkipRshFix )
		InitEyes();
	
	return &cpxinfo;
}

WORD bevent;

WORD cpx_call( GRECT *work, void *_copsdialog )
{
	apl_id = appl_init();
	magx = (global[0] >= 0x399 && cpxgetcookie(xcpb,asc2long('M','a','g','X'),NULL));
	mtos = ( global[0] >= 0x400 && (global[1] == -1 || global[1] > 8) );
	MultiTOS = mtos || magx;
	
	if ( !Cops )
	{	form_alert(1,"[3][ | EYES.CPX luft nur mit | |      COPS][ OK ]");
		if ( MultiTOS )
			appl_exit();
		return 0;
	}
	
	InitRam();
	get_farbanzahl();
		
	copsdialog = _copsdialog;
	eyes[OBACK].ob_x = work->g_x;
	eyes[OBACK].ob_y = work->g_y;
	cpobjcpos(dtree,eyes[OBACK]);
	
	isinfodialog = FALSE;
	InitObjects();
	set_evnt_mask();
	send_msg(SENDCPXET_SET,0,0,NULL);
	wdlg_set_tree(copsdialog,&dtree);

	bevent = wind_set(wdlg_get_handle(copsdialog),WF_BEVENT,1,0,0,0);

	return 1; /* weitermachen */
}




void cpx_draw( GRECT *clip )
{
	/* CPXEtimer Untersttzung */
	if ( ! isinfodialog )
	{	if ( eyes[OBACK].ob_x == clip->g_x && eyes[OBACK].ob_y == clip->g_y
				&& clip->g_w == 1 && clip->g_h == 1 )
		{	WORD event;
			cpx_timer(&event);
			return;
		}
	}

	redraw(clip,isinfodialog ? info:eyes,0);
}



void cpx_wmove( GRECT *work )
{
	info[OINFO].ob_x = work->g_x;
	info[OINFO].ob_y = work->g_y;
	eyes[OBACK].ob_x = work->g_x;
	eyes[OBACK].ob_y = work->g_y;
}



void set_maustext(WORD mx, WORD my)
{	char *p;

	p = eyes[OMAUSPOS].ob_spec.tedinfo->te_ptext;
	p = w2a(p,mx); *p++ = ','; w2a(p,my);
}

void set_maus(void)
{	WORD mx,my,i;
	graf_mkstate(&mx,&my,&i,&i);
	set_maustext(mx,my);
}

void cpx_timer( WORD *event )
{
	static WORD omx = 0, omy = 0, oldx = 0, oldy = 0;
	static LONG owntime = 0L;
	static WORD done = 0;
	WORD mx,my,i,x,y;
	
	if ( !isinfodialog )
	{	owntime += saveblk->time;
		graf_mkstate(&mx,&my,&i,&i);
		if ( mx != omx || my != omy )
		{	set_maustext(mx,my);
			redraw(NULL,eyes,OMAUSPOS);
			omx = mx; omy = my;
			done = 0; owntime = 0L;
		}
		else
		{	if ( saveblk->bubbleon )
			{	if ( done == 0 && owntime >= saveblk->bubbletime )
				{	GRECT box, *g;
					box.g_x = eyes[OBACK].ob_x + eyes[OBACK].ob_width - 8;
					box.g_y = eyes[OBACK].ob_y + 8;
					box.g_w = box.g_h = 1;
					g = cpxGetFirstRect(xcpb,&box);
					if ( g == NULL ) goto cancelspeak;
					if ( g->g_w == 0 || g->g_h == 0 ) goto cancelspeak;
					send_msg(SENDSPEAK,box.g_x,box.g_y,
							"Hallo User!|Wo bist du?|Die Maus schlft schon!");
					done = 1;
				}
				else if ( done == 1 && owntime >= (saveblk->bubbletime + 500L) )
				{	send_msg(SENDSPEAK,mx,my,"Zzzzzz|Schnarch|ZzzzzzzzzZzzzz");
					goto cancelspeak;
				}
			}
			else
			{	
			  cancelspeak:
			  	owntime = 0L; done = 0;
			}
		}
		objc_offset(eyes,OPUPS,&x,&y);
		mx -= x;
		my -= y;
		if ( mx != oldx || my != oldy )
		{	oldx = mx;
			oldy = my;
			calc(mx - pup1x,my - pupy,&n1x,&n1y);
			calc(mx - pup2x,my - pupy,&n2x,&n2y);
			n1x += pup1x - pup_w2;
			n1y += pupy - pup_h2;
			n2x += pup2x - pup_w2;
			n2y += pupy - pup_h2;
			if ( o1x != n1x || o1y != n1y || o2x != n2x || o2y != n2y )
			{	draw_pup();
				o1x = n1x;
				o1y = n1y;
				o2x = n2x;
				o2y = n2y;
			}
		}
	}
	*event = 0;
}



void cpx_key( WORD kstate, WORD key, WORD *event )
{
	BOOLEAN di = isinfodialog && (kstate & 8);
#define nodialoginput() ( ! di )

	*event = 0;

doitagain:
	switch ( key & 0xff )
	{
	 case 0:	switch ( (key >> 8) & 0xff )
	 			{
	 			 case 98: /* Help */
 			 					HELP();
	 			 				break;
	 			 				
	 			 case 97: /* Undo */
	 			 				if ( isinfodialog)
	 								switch_to_eyes();
	 							else
	 								switch_to_info();
	 							break;
	 			 
	 			 case 30: /* ALT A */
	 			 				if ( ! nodialoginput() )
	 			 				{		colm++;
	 									if ( colm >= NUMCOLOR )
	 										colm = 0;
	 									new_colornum(colm);
	 							}
	 							break;
	 			 
	 			 case 24: /* ALT O */
	 			 				if ( ! nodialoginput() )
	 			 				{	wahlm++;
	 			 					if ( wahlm >= NUMWAHL )
	 			 						wahlm = 0;
	 			 					info[OWAHL].ob_spec.free_string = wahlmenu[wahlm];
	 								redraw(NULL,info,OWAHL);
	 								new_col();
	 							}
	 							break;
	 			
	 			 case 33: /* ALT F */
	 			 				if ( ! nodialoginput() )
	 			 				{	WORD anz;
	 			 					switch (colm)
	 			 					{ default:
	 			 					  case COL2:	anz = 2; break;
	 			 					  case COL4:	anz = 4; break;
	 			 					  case COL16:	anz = 16; break;
	 			 					}
	 			 					farbm++;
	 			 					if ( farbm >= anz )
	 			 						farbm = 0;
	 			 					saveblk->colors[colm][wahlm] = farbm;
									new_col();
	 								InitColors();
	 							}
	 							break;
	 			
	 			 case 19: /* ALT R */
	 			 				if ( ! nodialoginput() )
	 			 				{	refm++;
	 			 					if ( refm >= NUMREFRESH )
	 			 						refm = 0;
	 			 					set_refresh(refm);
	 			 					redraw(NULL,info,OREFRESH);
	 			 				}
	 			 				break;
	 			 
	 			 case 21: /* ALT Z */
	 			 				if ( ! nodialoginput() )
	 			 				{	bubblem++;
	 			 					if ( bubblem >= NUMBUBBLE )
	 			 						bubblem = 0;
	 			 					set_bubble(bubblem);
	 			 					redraw(NULL,info,OBUBBLE);
	 			 				}
	 			 				break;
	 			 
	 			 case 48: /* ALT B */
	 			 				if ( ! nodialoginput() )
	 			 					sel_bubbleon_button();
	 			 				break;
	 			 
	 			 case 17: /* ALT W */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 13;
	 			 				goto doitagain;
	 			 
	 			 case 46: /* ALT C */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 127;
	 			 				goto doitagain;
	 			 
	 			 case 31: /* ALT S */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 19;
	 			 				goto doitagain;

	 			}
	 			return;
	
	 case 19: /* ^S */
	 			save_defaults();
	 			break;
	 
	 case 17: /* ^Q */
	 case 127: /* Del */
	 			cpx_close(0);
	 			*event = 1;
	 			break;
	 
	 case 9: /* ^I */
	 			if ( !isinfodialog) switch_to_info();
	 			break;
	 
	 case 13:
	 			if ( isinfodialog)
	 				switch_to_eyes();
	 			break;
	}
}


void cpx_button( MRETS *mrets, WORD nclicks, WORD *event )
{
	WORD ret;
	BOOLEAN hlp = (mrets->buttons & 2) != 0;
	
	*event = 0;
	
	if ( ! (mrets->buttons & 3) )
		return;
	
	if ( ! isinfodialog )
	{
#define NUMEMENU 6
		static char *emenu[] = { "  Toppen        ",
								 "  Info       ^I ",
								 "  Refreshrate   ",
								 "  akt. Farbe    ",
								 "  Sichern    ^S ",
								 "  Schlieen  ^Q ",
								 NULL };
	
		if ( hlp )
		{	switch_to_info();
			return;
		}
		if ( nclicks > 1 )
		{	top_window();
			return;
		}
		
		switch ( ePopup(emenu,NUMEMENU,-1) )
		{
		 case 0:	top_window(); break;
		 
		 case 1:	switch_to_info(); break;
		 
		 case 2:	set_refresh(ePopup(refmenu,NUMREFRESH,refm));
		 			send_msg(SENDCPXET_SET,0,0,NULL);
					break;
		 
		 case 3:	ret = ePopup(wahlmenu,NUMWAHL,-1);
		 			if ( ret >= 0 && ret < NUMWAHL )
		 			{	WORD col = ePopup(farbmenu,anzcol,saveblk->colors[numcol][ret]);
		 				if ( col >= 0 && col < anzcol )
		 				{	saveblk->colors[numcol][ret] = col;
		 					__new_col();
		 					InitColors();
		 					redraw(NULL,eyes,OBACK);
		 				}
		 			}
		 			break;
		 
		 case 4:	save_defaults(); break;
		 
		 case 5:	cpx_close(0); *event = 1; break;
		
		}
		
		return;
	}

	if (hlp)
	{	char *s;
#define Help(_s_) s = _s_ ; break
		switch ( ret = objc_find(info,OINFO,MAX_DEPTH,mrets->x,mrets->y) )
		{
		 case OGOON:	Help("Weiter zur|Animation");
		 case OCLOSE:	Help("CPX-Fenster|schlieen");
		 case OSAVE:	Help("Akt. Einstellung in|CPX-Datei sichern");
		 case OHELP:	Help("Hilfe-Hypertext|anzeigen");
		 case ORX:
		 case OREFRESH: Help("Zeitdauer zwischen|2 Animationsredraws");
		 case OBUBON:	Help("Bei Doppelklick:|BUBCONF.CPX aufrufen");
		 case OBUBBLE:
		 case OBUBBLEX:	Help("Solange mu die Maus|still stehen, damit ...");
		 case OFANZX:
		 case OFANZ:	Help("Farbanzahl, fr die die Ein-|stellungen gelten sollen");
		 case OWAHLX:
		 case OWAHL:	Help("Auswahl des|Objekts");
		 case OFARBE:
		 case OFBOX:
		 case OFSTRING:
		 case OFX:
		 			 Help("Legt die Farbe fr das|ausgewhlte Objekt fest");
		 default:
	 					top_window();
		 				return;
		}
#undef Help(_s_)
		send_msg(SENDBUBBLE,mrets->x,mrets->y,s);
		button_click(2,ret);
		return;
	}

	switch ( objc_find(info,OINFO,MAX_DEPTH,mrets->x,mrets->y) )
	{
	 case OGOON:
	 				if ( button_click(0,OGOON) ) switch_to_eyes();
	 				break;
	 
	 case OCLOSE:
	 				if ( button_click(0,OCLOSE) )
	 				{ *event = 1; cpx_close(0); }
	 				break;
	 
	 case OSAVE:
	 				if ( button_click(0,OSAVE) )
	 					save_defaults();
	 				break;
	 
	 case OHELP:
	 				if ( button_click(0,OHELP) )
	 					HELP();
	 				break;
	 
	 case OREFRESH: 
		 			set_refresh(Popup(OREFRESH,refmenu,NUMREFRESH,refm));
					redraw(NULL,info,OREFRESH);
					break;
					
	 case OBUBBLE:
	 				set_bubble(Popup(OBUBBLE,bubmenu,NUMBUBBLE,bubblem));
	 				redraw(NULL,info,OBUBBLE);
	 				break;
	 
	 case OBUBON:
	 				if ( nclicks > 1 )
	 					send_msg(SENDCOPS,0,0,"BUBCONF.CPX");
	 				else
	 					saveblk->bubbleon = button_click(1,OBUBON);
	 				break;
	 
	 case OFANZ:
	 				ret = Popup(OFANZ,colmenu,NUMCOLOR,colm);
	 				if ( ret >= 0 && ret < NUMCOLOR )
	 					new_colornum(ret);
	 				break;
	 
	 case OWAHL:
	 				ret = Popup(OWAHL,wahlmenu,NUMWAHL,wahlm);
	 				if ( ret >= 0 && ret < NUMWAHL )
	 				{	wahlm = ret;
	 					info[OWAHL].ob_spec.free_string = wahlmenu[ret];
	 					redraw(NULL,info,OWAHL);
	 					new_col();
	 				}
	 				break;
	
	 case OFARBE:
	 case OFBOX:
	 case OFSTRING:
	 			 {
	 				WORD anz;
	 				switch ( colm )
	 				{ default:
	 				  case COL2:	anz = 2; break;
	 				  case COL4:	anz = 4; break;
	 				  case COL16:	anz = 16; break;
	 				}
	 				ret = Popup(OFSTRING,farbmenu,anz,farbm); 
					if ( ret >= 0 && ret < anz )
					{	saveblk->colors[colm][wahlm] = farbm = ret;
						new_col();
	 					InitColors();
	 				}
	 				break;
				  }
	 default:
 					top_window();
	 				break;

	}
}


void cpx_close(WORD flag)
{
	send_msg(SENDCPXET_UNSET,0,0,NULL);
	FreeRam();
	if ( MultiTOS )
		appl_exit();
}



/**********************************************************************************
 *   Hilfsfunktionen
 **********************************************************************************/
 

/* Setze alle Objekte auf ihre richtigen Farbwerte */
void InitColors(void)
{
	eyes[OBACK].ob_spec.index = (saveblk->colors[numcol][BACKGROUND] & 0xf) | 0x70;
	eyes[OEYES].ob_spec.iconblk->ib_char = (saveblk->colors[numcol][AUGENRAND] << 12) |
				((saveblk->colors[numcol][AUGENBACK] << 8) & 0x0f00);
	eyes[OPUP1].ob_spec.bitblk->bi_color = saveblk->colors[numcol][PUPILLEN];
	eyes[OPUP2].ob_spec.bitblk->bi_color = saveblk->colors[numcol][PUPILLEN];
	eyes[OMAUSPOS].ob_spec.tedinfo->te_color &= 0xf0f0;
	eyes[OMAUSPOS].ob_spec.tedinfo->te_color |=
							(((saveblk->colors[numcol][POSTEXT] << 8) & 0x0f00) |
		 					 (saveblk->colors[numcol][POSBACK] & 0xf));
}

void InitObjects(void)
{	WORD i,k;

	if ( appl_getinfo(13,&i,&i,&i,&k) && (k & 4) ) /* WHITEBACK steuert Objekte */
	{
		info[ORFARBE].ob_spec.free_string = " Farbeinstellung ";
		info[ORFARBE].ob_type = G_BUTTON;
		info[ORFARBE].ob_state = 0xfe00|WHITEBAK;
		info[ORTIME].ob_spec.free_string = " Optionen ";
		info[ORTIME].ob_type = G_BUTTON;
		info[ORTIME].ob_state = 0xfe00|WHITEBAK;
		info[ORFTEXT].ob_flags |= HIDETREE;
		info[ORTTEXT].ob_flags |= HIDETREE;
		xobj = TRUE;
	}
	else
	{	info[ORFARBE].ob_spec.index = 0x11000L;
		info[ORFARBE].ob_type = G_IBOX;
		info[ORFARBE].ob_state = 0;
		info[ORTIME].ob_spec.index = 0x11000L;
		info[ORTIME].ob_type = G_IBOX;
		info[ORTIME].ob_state = 0;
		xobj = FALSE;
	}

	InitColors();

	bubblem = set_bubble(SET_IT);
	refm = set_refresh(SET_IT);
	info[OREFRESH].ob_spec.free_string = refmenu[refm];
	info[OWAHL].ob_spec.free_string = wahlmenu[wahlm];
	colm = numcol;
	info[OFANZ].ob_spec.free_string = colmenu[colm];
	__new_col();
	info[OBUBBLE].ob_spec.free_string = bubmenu[bubblem];
	if ( saveblk->bubbleon )
		info[OBUBON].ob_state |= SELECTED;
	else
		info[OBUBON].ob_state &= ~SELECTED;
	set_maus();
}


/* Initialisiert Objektbaeume,  wird in cpx_init aufgerufen */
void InitEyes(void)
{
	BITBLK *bit;
	ICONBLK *ic;
	WORD i;

	eyes = rs_trindex[OTEYES];
	ic = eyes[OEYES].ob_spec.iconblk;
	eyes_w = ic->ib_wicon;
	eyes_h = ic->ib_hicon;
	ic->ib_xchar = ic->ib_ychar = ic->ib_xtext = ic->ib_ytext = 200;
	ic->ib_wtext = ic->ib_htext = 0;
	eyes[OBACK].ob_width = eyes[OEYES].ob_width = eyes[OPUPS].ob_width =
			eyes[OMAUSPOS].ob_width = eyes_w;
	eyes[OEYES].ob_height = eyes[OPUPS].ob_height = eyes_h;
	eyes[OMAUSPOS].ob_height = 10;
	eyes[OMAUSPOS].ob_y = eyes_h;
	eyes[OBACK].ob_height = eyes_h + 10;
	eyes[OEYES].ob_x = eyes[OEYES].ob_y = 0;
	eyes[OPUPS].ob_x = eyes[OPUPS].ob_y = 0;
	bit = eyes[OPUP1].ob_spec.bitblk;
	pup_w2 = bit->bi_wb << 2;
	pup_h2 = bit->bi_hl >> 1;

	pupy = eyes_h >> 1;
	pup1x = eyes_w >> 2;
	pup2x = (eyes_w >> 1) + pup1x;
	
	eyes[OPUP1].ob_x = n1x = o1x = pup1x - pup_w2;
	eyes[OPUP1].ob_y = n1y = o1y = pupy - pup_h2;
	eyes[OPUP2].ob_x = n2x = o2x = pup2x - pup_w2;
	eyes[OPUP2].ob_y = n2y = o2y = pupy - pup_h2;
	
	info = rs_trindex[OTINFO];
	/* damit Fenstergre gleich richtig gesetzt wird */
	dtree.ob_width = ((eyes_w & 0x7) << 8)
						+ (eyes_w >> 3);
	dtree.ob_height = (((eyes_h + 10) & 0xf) << 8)
						+ ((eyes_h + 10) >> 4);
	cpxrsh_obfix(xcpb,&dtree,0);
	for ( i = 0; ; i++ )
	{	cpxrsh_obfix(xcpb,info,i);
		if ( info[i].ob_flags & LASTOB )
			break;
	}
}


/* Universelle Redrawroutine
		ist clip == NULL, wird als clip das GRECT des Wurzelobjekts verwendet */
void redraw( GRECT *clip, OBJECT *tree, WORD obj )
{
	GRECT *win;
	
	if ( ! clip )
		clip = (GRECT*)&tree[ROOT].ob_x;
	wind_update(BEG_UPDATE);
	win = cpxGetFirstRect(xcpb,clip);
	while (win)
	{	if ( win->g_w == 0 && win->g_h == 0 )
			break;
		objc_draw(tree,obj,MAX_DEPTH,win->g_x,win->g_y,win->g_w,win->g_h);
		win = cpxGetNextRect(xcpb);
	}
	wind_update(END_UPDATE);
}



void top_window(void)
{	static WORD msg[8] = { WM_TOPPED, 0, 0, 0, 0, 0, 0, 0 };
	if (!bevent) return;
	msg[1] = apl_id;
	msg[3] = wdlg_get_handle(copsdialog);
	appl_write(apl_id,16,msg);
}
	

void _switch_redraw(OBJECT tree[])
{
	WORD msg[8];
	
	msg[0] = WM_REDRAW; msg[1] = apl_id; msg[2] = 0;
	msg[3] = wdlg_get_handle(copsdialog);
	*((GRECT*)&msg[4]) = *((GRECT*)&tree[ROOT].ob_x);
	appl_write(apl_id,16,msg);
}

GRECT rect;

void switch_to_info(void)
{	GRECT s;
	WORD x,y,w,h;
	
	wind_get(0,WF_WORKXYWH,&s.g_x,&s.g_y,&s.g_w,&s.g_h);
	x = eyes[OBACK].ob_x;
	y = eyes[OBACK].ob_y;
	w = info[OINFO].ob_width;
	h = info[OINFO].ob_height;
	rect = *(GRECT*)&eyes[OBACK].ob_x;
	if ( x + w > s.g_x + s.g_w )   x = s.g_x + s.g_w - w;
	if ( x < s.g_x )	x = s.g_x;
	if ( y + h > s.g_y + s.g_h )   y = s.g_y + s.g_h - h;
	if ( y < s.g_y )    y = s.g_y;
	info[OINFO].ob_x = x;
	info[OINFO].ob_y = y;
	isinfodialog = TRUE;
	send_msg(SENDCPXET_UNSET,0,0,NULL);
	cpobjcpos(dtree,info[OINFO]);
	wdlg_set_size(copsdialog,(GRECT*)&info[OINFO].ob_x);
	_switch_redraw(info);
}


void switch_to_eyes(void)
{
	*(GRECT*)&eyes[OBACK].ob_x = rect;
	isinfodialog = FALSE;
	send_msg(SENDCPXET_SET,0,0,NULL);
	cpobjcpos(dtree,eyes[OBACK]);
	set_maus();
	wdlg_set_size(copsdialog,(GRECT*)&eyes[OBACK].ob_x);
	_switch_redraw(eyes);
}


void sel_bubbleon_button(void)
{	saveblk->bubbleon = (info[OBUBON].ob_state ^= SELECTED);
	if ( xobj )
	{	GRECT box;
	 	objc_offset(info,OBUBON,&box.g_x,&box.g_y);
	 	box.g_w = 16;
	 	box.g_h = 16;
	 	redraw(&box,info,OINFO);
	}
	else
		redraw(NULL,info,OBUBON);
}


/* Behandelt einen Mausklick auf einen Button, nur fuer info-Baum */
WORD button_click( WORD mode, WORD obj )
{	WORD x,y,b,i;

	if ( mode == 1)
		sel_bubbleon_button();
	else if ( mode == 0 )
	{	info[obj].ob_state ^= SELECTED;
		redraw(NULL,info,obj);
	}
	for (;;)
	{	graf_mkstate(&x,&y,&b,&i);
		if ( ! (b & 3) )
		{	i = 1;
			break;
		}
		if ( obj != objc_find(info,OINFO,MAX_DEPTH,x,y) )
		{	i = 0;
			break;
		}
	}
	if ( mode == 0)
	{	info[obj].ob_state ^= SELECTED;
		redraw(NULL,info,obj);
		return i;
	}
	return (info[obj].ob_state & SELECTED);
}
		
/* Zeigt Popup an, nur fuer info-Baum */
WORD Popup(WORD obj,char *menu[],WORD numitems,WORD start)
{	GRECT box;

	objc_offset(info,obj,&box.g_x,&box.g_y);
	box.g_w = info[obj].ob_width;
	box.g_h = info[obj].ob_height;
	return cpxPopup(xcpb,menu,numitems,start,IBM,&box,(GRECT*)&info[OINFO].ob_x);
}

/* Zeigt Popup an, nur fr eyes-Baum */
WORD ePopup(char *menu[],WORD numitems,WORD start)
{	GRECT box;
	WORD i;

	graf_mkstate(&box.g_x,&box.g_y,&i,&i);
	i = strlen(menu[0]) * 8;
	box.g_x -= (i>>1);
	box.g_y -= 4;
	box.g_w = i;
	box.g_h = 8;
	return cpxPopup(xcpb,menu,numitems,start,IBM,&box,(GRECT*)&eyes[OBACK].ob_x);
}


WORD set_refresh( WORD num )
{	static WORD tab[NUMREFRESH] = { 100,250,500,750,1000 };
	if ( num == SET_IT )
	{	WORD i;
		for ( i = 0; i < NUMREFRESH; i++ )
			if ( saveblk->time == (LONG)tab[i] )
				return i;
		return 0;
	}
	
	if ( num >= 0 && num < NUMREFRESH )
	{	refm = num;
		saveblk->time = (LONG)tab[num];
	}
	info[OREFRESH].ob_spec.free_string = refmenu[refm];
	set_evnt_mask();
	return refm;
}

WORD set_bubble( WORD num )
{	static LONG tab[NUMBUBBLE] = { 5000,10000,20000,30000,60000 };

	if (num == SET_IT )
	{	WORD i;
		for ( i = 0; i < NUMBUBBLE; i++ )
			if (saveblk->bubbletime == tab[i])
				return i;
		return 0;
	}

	if ( num >= 0 && num < NUMBUBBLE )
	{	bubblem = num;
		saveblk->bubbletime = tab[num];
	}
	info[OBUBBLE].ob_spec.free_string = bubmenu[bubblem];
	return bubblem;
}


void __new_col(void)
{
	 farbm = saveblk->colors[colm][wahlm];
	 info[OFSTRING].ob_spec.free_string = farbmenu[farbm];
	 info[OFBOX].ob_spec.index &= 0xfffffff0L;
	 info[OFBOX].ob_spec.index |= farbm;
}

void new_col(void)
{
	 __new_col();
	 redraw(NULL,info,OFARBE);
}

void new_colornum( WORD num )
{
	colm = num;
	info[OFANZ].ob_spec.free_string = colmenu[num];
	redraw(NULL,info,OFANZ);
	new_col();
}




/* Zeichnet die Pupillen, aufgerufen in cpx_timer */
void draw_pup(void)
{
	GRECT *win;
	OBJECT *pup1 = &eyes[OPUP1], *pup2 = &eyes[OPUP2];
	BOOLEAN first = TRUE;
	
	wind_update(BEG_UPDATE);
	win = cpxGetFirstRect(xcpb,(GRECT*)&eyes[OBACK].ob_x);
	while (win)
	{	if ( win->g_w == 0 && win->g_h == 0 )
			break;
		first = FALSE;
		
		pup1->ob_spec.bitblk->bi_color = pup2->ob_spec.bitblk->bi_color = saveblk->colors[numcol][AUGENBACK];
		pup1->ob_x = o1x;
		pup1->ob_y = o1y;
		pup2->ob_x = o2x;
		pup2->ob_y = o2y;
		objc_draw(eyes,OPUPS,MAX_DEPTH,win->g_x,win->g_y,win->g_w,win->g_h);
	
		pup1->ob_spec.bitblk->bi_color = pup2->ob_spec.bitblk->bi_color = saveblk->colors[numcol][PUPILLEN];
		pup1->ob_x = n1x;
		pup1->ob_y = n1y;
		pup2->ob_x = n2x;
		pup2->ob_y = n2y;
		objc_draw(eyes,OPUPS,MAX_DEPTH,win->g_x,win->g_y,win->g_w,win->g_h);
	
		win = cpxGetNextRect(xcpb);
	}
	wind_update(END_UPDATE);
	if ( first ) /* falls Rechteckliste leer ist */
	{ 	pup1->ob_spec.bitblk->bi_color = pup2->ob_spec.bitblk->bi_color = saveblk->colors[numcol][PUPILLEN];
		pup1->ob_x = n1x;
		pup1->ob_y = n1y;
		pup2->ob_x = n2x;
		pup2->ob_y = n2y;
	}
}


void send_msg(WORD mode,WORD x,WORD y, char *s)
{	WORD msg[8+8+RAMSTRLEN/2+2], *mp;
	WORD xmsg_id, len, id;
	char *p;
	extern void *ram;
	extern WORD cram;
	
	if ( mode == SENDCPXET_SET || mode == SENDCPXET_UNSET )
	{	id = appl_find(CPXETIMER);
		if ( id < 0 ) return;
		msg[1] = apl_id;
		msg[2] = 0;
		msg[3] = wdlg_get_handle(copsdialog);
		msg[4] = msg[5] = msg[6] = msg[7] = 0;
		if ( mode == SENDCPXET_SET )
		{	msg[0] = CPXETIMER_SET;
			msg[4] = saveblk->time;
		}
		else msg[0] = CPXETIMER_UNSET;
		appl_write(id,16,msg);
		return;
	}
	
	if ( (xmsg_id = appl_find("XMSG    ")) < 0 )
	{
		if ( ram == NULL )
			return;
		if ( cram >= MAXSTR )  cram = 0;
		p = (char*)ram + RAMSTRLEN * cram;
	}
	else p = (char*)&msg[16];
	
	if ( mode == SENDBUBBLE || mode == SENDSPEAK )
	{
		if ( (msg[3] = appl_find(BUBBLE)) < 0 )
			return;
		if ( mode == SENDSPEAK )
		{	WORD mx,my,a;
			graf_mkstate(&mx,&my,&a,&a);
			if ( (mx > x - MOFFSET) && (mx < x + MOFFSET) )
				if ( (x -= MOFFSET) < 0 ) x += 2*MOFFSET;
			if ( (my > y - MOFFSET) && (my < y + MOFFSET) )
				if ( (y -= MOFFSET) < 0 ) y += 2*MOFFSET;
		}
		msg[4] = 5;
		msg[8] = BUBBLEGEM_SHOW;
		msg[11] = x;
		msg[12] = y;
		*(char**)&msg[13] = (xmsg_id >= 0 ? (char*)16L : p );
	}
	else
	{	if ( (msg[3] = appl_find(mode == SENDCOPS ? _COPS : STGUIDE)) < 0 )
			return;
		msg[4] = 3;
		msg[8] = VA_START;
		*(char**)&msg[11] = (xmsg_id >= 0 ? (char*)16L : p );
		msg[13] = 0;
		msg[14] = 0;
	}
	msg[10] = 0;
	msg[15] = 0;
	
	if ( xmsg_id >= 0 )
	{	len = 16 + 1 + strlen(s);
		if ( len > (RAMSTRLEN + 16) )
			len = RAMSTRLEN + 16;
		msg[0] = XMESSAGE;
		msg[1] = xmsg_id; /* Damit AV_STARTED etc. nicht an COPS gesendet wird */
		msg[2] = len;
		msg[5] = -1;
		msg[6] = 0;
		msg[7] = 0;
		msg[9] = xmsg_id;
		mp = msg;
	}
	else
	{	cram++;
		mp = &msg[8];
		len = 0;
		msg[9] = apl_id;
		xmsg_id = msg[3];
	}
	
	strncpy(p,s,RAMSTRLEN-1);
	p[RAMSTRLEN-1] = 0;
	appl_write(xmsg_id,16+len,mp);
}
