
#include <tmstdlib.h>
#include <vdi.h>
#include <cpxdata.h>
#include <tos.h>
#include "eyes.h"


void get_farbanzahl(void)
{

	extern WORD anzcol,numcol;

	WORD work_in[11],work_out[57],i;
	
	for ( i = 0; i < 10; work_in[i++] = 1 );
	work_in[10] = 2;
	i = xcpb->handle;
	v_opnvwk(work_in,&i,work_out);
	if ( i )
	{	if ( vsl_color(i,15) == 15 )
			anzcol = 16, numcol = 2;
		else if ( vsl_color(i,3) == 3 )
			anzcol = 4, numcol = 1;
		else
			anzcol = 2, numcol = 0;
		v_clsvwk(i);
	}
	else anzcol = 2, numcol = 0;
}


void set_evnt_mask(void)
{	static MOBLK dummymoblk;
	cpxSet_Evnt_Mask(xcpb,MU_TIMER|MU_BUTTON|MU_KEYBD,
					&dummymoblk,&dummymoblk,saveblk->time);
}

void save_defaults(void)
{
	if ( cpxXGen_Alert(xcpb,SAVE_DEFAULTS) )
		cpxCPX_Save(xcpb,(void*)saveblk,sizeof(*saveblk));
}


/* Berechnet Augenposition */

#define XA 7
#define YB 11

void calc( WORD dx, WORD dy, WORD *px, WORD *py )
{
	WORD a,b;
	WORD phi;
	LONG c;
	
	if ( dx == 0 )
	{	*px = 0;
		if ( dy < 0 )
			*py = ( dy > -YB ? dy : -YB );
		else
			*py = ( dy > YB ? YB : dy );
		return;
	}
	
	if ( (LONG)dx * dx + (LONG)dy * dy <= XA * XA )
	{	*px = dx; /* Naeherungsweise */
		*py = dy;
		return;
	}
	
	/* Winkel berechnen */
	a = (dx > 0 ? dx : -dx);
	c = (dy > 0 ? dy : -dy);
	c = (c * MATHOFFSET) / (LONG)a;
	for ( phi = 0; phi < TANTABMAX; phi++ )
		if ( c < (LONG)tantab[phi] ) break;
	
	b = ((LONG)sintab[phi] * YB) / MATHOFFSET;
	a = ((LONG)sintab[90-phi] * XA) / MATHOFFSET;
	
	if ( dx < 0 )
		a = -a;
	if ( dy < 0 )
		b = -b;
	
	*px = a;
	*py = b;
}


/* Wandelt WORD in ASCII */
char *w2a( char *buf, WORD w)
{
	char b[6], *p = b;
	
	do
	{
		*p++ = (char)(w % 10) + '0';
	} while ( w /= 10 );
	while ( p > b )
		*buf++ = *(--p);

	*buf = 0;	
	return buf;
}	



WORD cram = 0;
void *ram = NULL;

void InitRam(void)
{
	if ( ram == NULL )
	{	if ( cpxgetcookie(xcpb,asc2long('M','i','N','T'),NULL)
				|| cpxgetcookie(xcpb,asc2long('M','a','g','X'),NULL) )
			ram = Mxalloc(RAMSIZE,0x20+3);
		else
			ram = Malloc(RAMSIZE);
	}
}

void FreeRam(void)
{	if ( ram )
		Mfree(ram);
}

