
#include <tmstdlib.h>
#include <vdi.h>
#include <cpxdata.h>
#include <tos.h>
#include "watch.h"


void get_farbanzahl(void)
{

	extern WORD anzcol,numcol;

	WORD work_in[11],work_out[57],i;
	
	for ( i = 0; i < 10; work_in[i++] = 1 );
	work_in[10] = 2;
	i = xcpb->handle;
	v_opnvwk(work_in,&i,work_out);
	if ( i )
	{	if ( vsl_color(i,15) == 15 )
			anzcol = 16, numcol = 2;
		else if ( vsl_color(i,3) == 3 )
			anzcol = 4, numcol = 1;
		else
			anzcol = 2, numcol = 0;
		v_clsvwk(i);
	}
	else anzcol = 2, numcol = 0;
}


void set_evnt_mask(void)
{	static MOBLK dummymoblk;
	cpxSet_Evnt_Mask(xcpb,MU_TIMER|MU_BUTTON|MU_KEYBD,
					&dummymoblk,&dummymoblk,TIMER);
}

void save_defaults(void)
{
	if ( cpxXGen_Alert(xcpb,SAVE_DEFAULTS) )
		cpxCPX_Save(xcpb,(void*)saveblk,sizeof(*saveblk));
}

WORD cram = 0;
void *ram = NULL;

void InitRam(void)
{
	if ( ram == NULL )
	{	if ( cpxgetcookie(xcpb,asc2long('M','i','N','T'),NULL)
				|| cpxgetcookie(xcpb,asc2long('M','a','g','X'),NULL) )
			ram = Mxalloc(RAMSIZE,0x20+3);
		else
			ram = Malloc(RAMSIZE);
	}
}

void FreeRam(void)
{	if ( ram )
		Mfree(ram);
}


void get_time(WORD p[] )
{
	UWORD time,date,i;
	
	time = Tgettime();
	date = Tgetdate();
	
	i = (time >> 11);
	*p++ = i / 10;
	*p++ = i % 10;
	i = (time >> 5) & 0x3f;
	*p++ = i / 10;
	*p++ = i % 10;
	i = date & 0x1f;
	*p++ = i / 10;
	*p++ = i % 10;
	i = (date >> 5) & 0xf;
	*p++ = i / 10;
	*p++ = i % 10;
	i = (date >> 9) + 80;
	if ( i > 99 )
		i -= 100;
	*p++ = i / 10;
	*p++ = i % 10;
}

void set_time(WORD p[])
{	WORD y;

	Tsettime(  (((p[0] * 10) + p[1]) << 11)
			 | (((p[2] * 10) + p[3]) << 5) );
	y = p[8] * 10 + p[9] - 80;
	if ( y < 0 )
		y += 100;
	Tsetdate(  (((p[4] * 10) + p[5]))
			 | (((p[6] * 10) + p[7]) << 5)
			 | (y << 9) );
}

