
#include <tmstdlib.h>
#include <cpxdata.h>
#include <aes.h>
#include <vaproto.h>
#include <string.h>

#include "watch.h"
#include "rsh.h"
#include "watchrsc.h"
#include "proto.h"

#include "xmsg.h"
#include "cpxetime.h"


char __rscid[] = " $Version: WATCH CPX  FREEWARE V 1.00 20.04.97  by ToMST, Thomas Maier $ ";

#define HELP() send_msg(SENDGUIDE,0,0,"*:\\CPXE.HYP WATCH-CPX")
#define INITMAGIC asc2long('W','a','t','c')


#define DRAW_IT 1
#define NO_DRAW 0 /* fr init_time_date() */

XCPB *xcpb;

CPXINFO cpxinfo = { (WORD (*)(GRECT*))cpx_call, cpx_draw, cpx_wmove, cpx_timer, cpx_key,
					cpx_button, NULL, NULL, NULL, cpx_close };

WORD apl_id;
WORD numcol;  /* aktuelle Farbanzahl 0=2, 1=4, 2=16
		wird abgefragt ueber appl_getinfo und wird NICHT veraendert */
WORD anzcol;  /* Farbanzahl: 2,4,16 */

OBJECT *duhr;
OBJECT *info;

BOOLEAN Cops = FALSE;
BOOLEAN MultiTOS = FALSE;
BOOLEAN isinfodialog = FALSE;
void *copsdialog;
OBJECT dtree = { -1,-1,-1,G_IBOX,LASTOB,0,{0L},0,0,1,1};

UWORD *ziffern[10];
WORD digs[13] = { OD0,OD1,OD2,OD3,OD4,OD5,
					OD6,OD7,OD8,OD9,ODPUNKT,ODDOT1,ODDOT2 };
WORD watch[10];

#define NUMFARBE 16
WORD farbm = 0;
char *farbmenu[] = { "  Wei          ",
					 "  Schwarz       ",
					 "  Rot           ",
					 "  Grn          ",
					 "  Blau          ",
					 "  Cyan          ",
					 "  Gelb          ",
					 "  Magenta       ",
					 "  Hellgrau      ",
					 "  Dunkelgrau    ",
					 "  Dunkelrot     ",
					 "  Dunkelgrn    ",
					 "  Dunkelblau    ",
					 "  Dunkelcyan    ",
					 "  Dunkelgelb    ",
					 "  Dunkelmagenta ",
					 NULL };

#define NUMWAHL NUMCOLARGS
WORD wahlm = 0;
char *wahlmenu[] = { "  Hintergr. ",
					 "  Rahmen    ",
					 "  Ziffern   ",
					 "  Display   ",
					 "  Auenrand ",
					 "  Innenrand ",
					 "  Text      ",
					 NULL };

WORD colm = 0;
char *colmenu[] = { "  2   ",
					"  4   ",
					"  16  ",
					NULL };


/****************************************************************************
 *           CPX Funktionen 
 ****************************************************************************/

SAVEBLK *saveblk;
BOOLEAN xobj;

CPXINFO *cpx_init( XCPB *Xcpb, LONG copsmagic, LONG copsversion )
{	LONG *p;

	xcpb = Xcpb;
	
	Cops = ( copsmagic == asc2long('C','O','P','S') && copsversion >= 0x10000L );

	if ( xcpb->booting )
		return (CPXINFO*)1;

	p = (LONG*)cpxGet_Buffer(xcpb);
	saveblk = (SAVEBLK*)(p+1);
	if ( *p != INITMAGIC )
	{	*saveblk = initdata;
		*p = INITMAGIC;
	}
		
	if ( ! xcpb->SkipRshFix )
		InitUhr();
	return &cpxinfo;
}


WORD bevent;

WORD cpx_call( GRECT *work, void *_copsdialog )
{
	apl_id = appl_init();
	MultiTOS = (global[0] >= 0x399 && cpxgetcookie(xcpb,asc2long('M','a','g','X'),NULL))
		|| ( global[0] >= 0x400 && (global[1] == -1 || global[1] > 8) );
	
	if ( !Cops )
	{	form_alert(1,"[3][ | WATCH.CPX luft nur mit | |      COPS][ OK ]");
		if ( MultiTOS )
			appl_exit();
		return 0;
	}
	
	InitRam();
	get_farbanzahl();
		
	copsdialog = _copsdialog;
	duhr[ODBACK].ob_x = work->g_x;
	duhr[ODBACK].ob_y = work->g_y;
	
	isinfodialog = FALSE;
	InitObjects();
	cpobjcpos(dtree,duhr[ODBACK]);
	set_evnt_mask();
	send_msg(SENDCPXET_SET,0,0,NULL);
	wdlg_set_tree(copsdialog,&dtree);

	bevent = wind_set(wdlg_get_handle(copsdialog),WF_BEVENT,1,0,0,0);

	return 1; /* weitermachen */
}


void cpx_draw( GRECT *clip )
{
	/* CPXEtimer Untersttzung */
	if ( ! isinfodialog )
	{	if ( duhr[ODBACK].ob_x == clip->g_x && duhr[ODBACK].ob_y == clip->g_y
				&& clip->g_w == 1 && clip->g_h == 1 )
		{	WORD event;
			cpx_timer(&event);
			return;
		}
	}
	redraw(clip,isinfodialog ? info:duhr,0);
}



void cpx_wmove( GRECT *work )
{
	info[OINFO].ob_x = work->g_x;
	info[OINFO].ob_y = work->g_y;
	duhr[ODBACK].ob_x = work->g_x;
	duhr[ODBACK].ob_y = work->g_y;
}



WORD blinknum = -1; /* gleichzeitig Indikator fr Set-Modus */

void cpx_timer( WORD *event )
{	static BOOLEAN blink = FALSE;
#define REFRESHTIME 5000
	static WORD reftime = REFRESHTIME;
	WORD i,k;

	*event = 0;

	if ( isinfodialog )
		return;
	
	i = (blink ? saveblk->colors[numcol][DZIFFERN] : saveblk->colors[numcol][DISPLAY]);
	blink = !blink;
	duhr[ODPUNKT].ob_spec.bitblk->bi_color = i;
	
	if ( blinknum < 0 )
	{	if ( (reftime -= TIMER) <= 0 )
		{	reftime = REFRESHTIME;
			init_time_date(DRAW_IT);
		}
	}
	else
	{	k = digs[blinknum];
		duhr[k].ob_spec.bitblk->bi_color = i;
		redraw(NULL,duhr,k);
	}
	digredraw(-1);
}



void cpx_key( WORD kstate, WORD key, WORD *event )
{
	BOOLEAN di = isinfodialog && (kstate & 8);
	WORD k;
#define nodialoginput() ( ! di )

	*event = 0;

doitagain:
	switch ( key & 0xff )
	{
	 case 0:	switch ( k = ((key >> 8) & 0xff) )
	 			{
	 			 case 98: /* Help */
	 			 				HELP();
	 			 				break;
	 			 				
	 			 case 97: /* Undo */
	 			 				if ( isinfodialog)
	 								switch_to_duhr();
	 							else
	 								switch_to_info();
	 							break;
	 			 
	 			 case 30: /* ALT A */
	 			 				if ( ! nodialoginput() )
	 			 				{		colm++;
	 									if ( colm >= NUMCOLOR )
	 										colm = 0;
	 									new_colornum(colm);
	 							}
	 							break;
	 			 
	 			 case 24: /* ALT O */
	 			 				if ( ! nodialoginput() )
	 			 				{	wahlm++;
	 			 					if ( wahlm >= NUMWAHL )
	 			 						wahlm = 0;
	 			 					info[OWAHL].ob_spec.free_string = wahlmenu[wahlm];
	 								redraw(NULL,info,OWAHL);
	 								new_col();
	 							}
	 							break;
	 			
	 			 case 33: /* ALT F */
	 			 				if ( ! nodialoginput() )
	 			 				{	WORD anz;
	 			 					switch (colm)
	 			 					{ default:
	 			 					  case COL2:	anz = 2; break;
	 			 					  case COL4:	anz = 4; break;
	 			 					  case COL16:	anz = 16; break;
	 			 					}
	 			 					farbm++;
	 			 					if ( farbm >= anz )
	 			 						farbm = 0;
	 			 					saveblk->colors[colm][wahlm] = farbm;
									new_col();
	 								InitColors();
	 							}
	 							break;
	 			
	 			 case 17: /* ALT W */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 13;
	 			 				goto doitagain;
	 			 
	 			 case 46: /* ALT C */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 127;
	 			 				goto doitagain;
	 			 
	 			 case 31: /* ALT S */
	 			 				if ( nodialoginput() )
	 			 					break;
	 			 				key = 19;
	 			 				goto doitagain;
	 			 
	 			 case 32: /* ALT D */
	 			 				if ( ! nodialoginput() )
	 			 					saveblk->dateon = sel_button(info,OWDATE);
	 			 				break;
	 			 case 18: /* ALT E */
	 			 				if ( ! nodialoginput() )
	 			 					saveblk->seton = sel_button(info,OSETON);
	 			 				break;
	 			 
	 			 case 82: /* Insert */
	 			 			if ( ! isinfodialog && saveblk->seton )
	 			 				togglesetmode();
	 			 			break;
	 			 case 75:
	 			 case 77: /* li. re. Pfeil */
	 			 			if ( ! isinfodialog && blinknum >= 0 && saveblk->seton )
	 			 				changemode(k==77);
	 			 			break;
	 			 case 72:
	 			 case 80:
	 			 			if ( ! isinfodialog && blinknum >= 0 && saveblk->seton )
	 			 				changedig(k==72);
	 			 			break;
	 			}
	 			return;
	
	 case 19: /* ^S */
	 			save_defaults();
	 			break;
	 
	 case 17: /* ^Q */
	 case 127: /* Del */
	 			cpx_close(0);
	 			*event = 1;
	 			break;
	 
	 case 9: /* ^I */
	 			if ( !isinfodialog) switch_to_info();
	 			break;
	 
	 case 13:
	 			if ( isinfodialog)
	 				switch_to_duhr();
	 			break;
	}
}


void cpx_button( MRETS *mrets, WORD nclicks, WORD *event )
{
	WORD ret;
	BOOLEAN hlp = mrets->buttons & 2;

	*event = 0;
	
	if ( ! (mrets->buttons & 3) )
		return;

	if ( ! isinfodialog )
	{
#define NUMEMENU 5
		static char *emenu[] = { "  Toppen        ",
								 "  Info       ^I ",
								 "  akt. Farbe    ",
								 "  Sichern    ^S ",
								 "  Schlieen  ^Q ",
								 NULL };
	
		if ( nclicks > 1 )
		{	top_window();
			return;
		}
		switch ( objc_find(duhr,ODBACK,MAX_DEPTH,mrets->x,mrets->y) )
		{
		 case ODSET:	if (hlp)
		 					break;
		 				if ( button_click(0,duhr,ODSET) )
		 					togglesetmode();
		 				return;
		 
		 case ODMODE:	if ( blinknum >= 0 && button_click(0,duhr,ODMODE) )
		 					changemode(!hlp);
		 				return;
		 
		 case ODSELECT: if ( blinknum >= 0 && button_click(0,duhr,ODSELECT) )
		 					changedig(!hlp);
		 				return;
		 
		}
		if ( hlp )
		{	switch_to_info();
			return;
		}
		switch ( ePopup(emenu,NUMEMENU,-1) )
		{
		 case 0:	top_window(); break;
		 
		 case 1:	switch_to_info(); break;
		 
		 case 2:	ret = ePopup(wahlmenu,NUMWAHL,-1);
		 			if ( ret >= 0 && ret < NUMWAHL )
		 			{	WORD col = ePopup(farbmenu,anzcol,saveblk->colors[numcol][ret]);
		 				if ( col >= 0 && col < anzcol )
		 				{	saveblk->colors[numcol][ret] = col;
		 					__new_col();
		 					InitColors();
		 					redraw(NULL,duhr,ODBACK);
		 				}
		 			}
		 			break;
		 
		 case 3:	save_defaults(); break;
		 
		 case 4:	cpx_close(0); *event = 1; break;
		
		}
		
		return;
	}

	if (hlp)
	{	char *s;
#define Help(_s_) s = _s_ ; break
		switch ( ret = objc_find(info,OINFO,MAX_DEPTH,mrets->x,mrets->y) )
		{
		 case OGOON:	Help("Weiter zur|Animation");
		 case OCLOSE:	Help("CPX-Fenster|schlieen");
		 case OSAVE:	Help("Akt. Einstellung in|CPX-Datei sichern");
		 case OHELP:	Help("Hilfe-Hypertext|anzeigen");
		 case OFANZX:
		 case OFANZ:	Help("Farbanzahl, fr die die Ein-|stellungen gelten sollen");
		 case OWAHLX:
		 case OWAHL:	Help("Auswahl des|Objekts");
		 case OFARBE:
		 case OFBOX:
		 case OFSTRING:
		 case OFX:
		 			 Help("Legt die Farbe fr das|ausgewhlte Objekt fest");
		 case OWDATE:	return;
		 case OSETON:	return;
		 default:
	 					top_window();
		 				return;
		}
#undef Help(_s_)
		send_msg(SENDBUBBLE,mrets->x,mrets->y,s);
		button_click(2,info,ret);
		return;
	}

	switch ( objc_find(info,OINFO,MAX_DEPTH,mrets->x,mrets->y) )
	{
	 case OGOON:
	 				if ( button_click(0,info,OGOON) ) switch_to_duhr();
	 				break;
	 
	 case OCLOSE:
	 				if ( button_click(0,info,OCLOSE) )
	 				{ *event = 1; cpx_close(0); }
	 				break;
	 
	 case OSAVE:
	 				if ( button_click(0,info,OSAVE) )
	 					save_defaults();
	 				break;
	 
	 case OHELP:
	 				if ( button_click(0,info,OHELP) )
	 					HELP();
	 				break;
	 
	 case OFANZ:
	 				ret = Popup(OFANZ,colmenu,NUMCOLOR,colm);
	 				if ( ret >= 0 && ret < NUMCOLOR )
	 					new_colornum(ret);
	 				break;
	 
	 case OWAHL:
	 				ret = Popup(OWAHL,wahlmenu,NUMWAHL,wahlm);
	 				if ( ret >= 0 && ret < NUMWAHL )
	 				{	wahlm = ret;
	 					info[OWAHL].ob_spec.free_string = wahlmenu[ret];
	 					redraw(NULL,info,OWAHL);
	 					new_col();
	 				}
	 				break;
	
	 case OFARBE:
	 case OFBOX:
	 case OFSTRING:
	 		
	 			 {
	 				WORD anz;
	 				switch ( colm )
	 				{ default:
	 				  case COL2:	anz = 2; break;
	 				  case COL4:	anz = 4; break;
	 				  case COL16:	anz = 16; break;
	 				}
	 				ret = Popup(OFSTRING,farbmenu,anz,farbm); 
					if ( ret >= 0 && ret < anz )
					{	saveblk->colors[colm][wahlm] = farbm = ret;
						new_col();
	 					InitColors();
	 				}
	 				break;
				  }
	
	 case OWDATE:	saveblk->dateon = button_click(1,info,OWDATE);
	 				break;
	 
	 case OSETON:	saveblk->seton = button_click(1,info,OSETON);
	 				break;
	 default:
 					top_window();
	 				break;

	}
}


void cpx_close(WORD flag)
{
	send_msg(SENDCPXET_UNSET,0,0,NULL);
	FreeRam();
	if ( MultiTOS )
		appl_exit();
}

	

/**********************************************************************************
 *   Hilfsfunktionen
 **********************************************************************************/
 

/* Setze alle Objekte auf ihre richtigen Farbwerte */
void InitColors(void)
{
	UWORD *p = &saveblk->colors[numcol][0]; /* MUSS unsigned sein !!! */
	WORD i;

	duhr[ODBACK].ob_spec.index = p[DBACK] | 0x00020070UL | (p[DRAHMEN] << 12);
	duhr[ODRTIME].ob_spec.index = duhr[ODRDATE].ob_spec.index
						= 0x00010000UL | (p[DRAND1] << 12);
	duhr[ODRTIMEX].ob_spec.index = duhr[ODRDATEX].ob_spec.index
						= 0x00010070UL | (p[DRAND2] << 12) | p[DISPLAY];
	duhr[ODSETTXT].ob_spec.tedinfo->te_color
						= duhr[ODSELTXT].ob_spec.tedinfo->te_color
						= duhr[ODMODTXT].ob_spec.tedinfo->te_color
						= p[DTEXT] << 8;
	for ( i = 0; i < NUM_BITBLK; i++ )
		rs_bitblk[i].bi_color = p[DZIFFERN];
}


void InitObjects(void)
{	WORD i,k;

	if ( appl_getinfo(13,&i,&i,&i,&k) && (k & 4) ) /* WHITEBACK steuert Objekte */
	{
		info[ORFARBE].ob_spec.free_string = " Farbeinstellung ";
		info[ORFARBE].ob_type = G_BUTTON;
		info[ORFARBE].ob_state = 0xfe00|WHITEBAK;
		info[ORTIME].ob_spec.free_string = " Optionen ";
		info[ORTIME].ob_type = G_BUTTON;
		info[ORTIME].ob_state = 0xfe00|WHITEBAK;
		info[ORFTEXT].ob_flags |= HIDETREE;
		info[ORTTEXT].ob_flags |= HIDETREE;
		xobj = TRUE;
	}
	else
	{	info[ORFARBE].ob_spec.index = 0x11000L;
		info[ORFARBE].ob_type = G_IBOX;
		info[ORFARBE].ob_state = 0;
		info[ORTIME].ob_spec.index = 0x11000L;
		info[ORTIME].ob_type = G_IBOX;
		info[ORTIME].ob_state = 0;
		xobj = FALSE;
	}

	InitColors();

	info[OWAHL].ob_spec.free_string = wahlmenu[wahlm];
	colm = numcol;
	info[OFANZ].ob_spec.free_string = colmenu[colm];
	__new_col();
	if ( saveblk->seton )
		info[OSETON].ob_state |= SELECTED;
	else
		info[OSETON].ob_state &= ~SELECTED;
	if ( saveblk->dateon )
		info[OWDATE].ob_state |= SELECTED;
	else
		info[OWDATE].ob_state &= ~SELECTED;
	
	init_noset_duhr();
	init_time_date(NO_DRAW);
}


#define DUHR_SET_H 100


/* Initialisiert Objektbaeume,  wird in cpx_init aufgerufen */
void InitUhr(void)
{	
	WORD i;

	info = rs_trindex[OTINFO];
	duhr = rs_trindex[OTUHR];
	
	/* damit Fenstergre gleich richtig gesetzt wird */
	if ( saveblk->dateon || saveblk->seton )
		dtree.ob_width = duhr[ODRDATE].ob_x + duhr[ODRDATE].ob_width + 0x0800;
	else
		dtree.ob_width = duhr[ODRTIME].ob_x + duhr[ODRTIME].ob_width + 0x0800;
	if ( saveblk->dateon )
		dtree.ob_height = duhr[ODRTIME].ob_y + duhr[ODRTIME].ob_height + 0x0800;
	else
		dtree.ob_height = duhr[ODRDATE].ob_y + duhr[ODRDATE].ob_height + 0x0800;
	cpxrsh_obfix(xcpb,&dtree,0);
	
	for ( i = 0; i < NUM_OBJS; i++ )
		cpxrsh_obfix(xcpb,info,i);
	
	/* Images der Ziffern merken */
	for ( i = 0; i < 10; i++ )
		ziffern[i] = duhr[digs[i]].ob_spec.bitblk->bi_pdata;
}


void init_set_duhr(void)
{
	duhr[ODBACK].ob_height = DUHR_SET_H;
	duhr[ODSETIT].ob_flags &= ~HIDETREE;
	duhr[ODRDATE].ob_flags &= ~HIDETREE;
	duhr[ODBACK].ob_width =  duhr[ODRDATE].ob_x + duhr[ODRDATE].ob_width + 8;
	blinknum = 0;
}

void restore_blink(void)
{
	if ( blinknum >= 0 )
		duhr[digs[blinknum]].ob_spec.bitblk->bi_color = saveblk->colors[numcol][DZIFFERN];
}

void init_noset_duhr(void)
{	WORD x,y;

	duhr[ODSETIT].ob_flags |= HIDETREE;
	duhr[ODSET].ob_state &= ~SELECTED;
	if ( saveblk->seton )
	{	duhr[ODSET].ob_flags &= ~ HIDETREE;
		duhr[ODSETTXT].ob_flags &= ~HIDETREE;
	}
	else
	{	duhr[ODSET].ob_flags |= HIDETREE;
		duhr[ODSETTXT].ob_flags |= HIDETREE;
	}
	x = duhr[ODRDATE].ob_x + duhr[ODRDATE].ob_width + 8;
	if ( saveblk->dateon )
	{	y = duhr[ODRDATE].ob_y + duhr[ODRDATE].ob_height + 8;
		duhr[ODRDATE].ob_flags &= ~HIDETREE;
	}
	else
	{	if ( !saveblk->seton )
			x = duhr[ODRTIME].ob_x + duhr[ODRTIME].ob_width + 8;
		y = duhr[ODRTIME].ob_y + duhr[ODRTIME].ob_height + 8;
		duhr[ODRDATE].ob_flags |= HIDETREE;
	}
	duhr[ODBACK].ob_width = x;
	duhr[ODBACK].ob_height = y;
	restore_blink();
	blinknum = -1;
}

void togglesetmode(void)
{
	if ( blinknum < 0 )
		init_set_duhr();
	else
	{	init_noset_duhr();
		set_time(watch);
		init_time_date(NO_DRAW);
	}
	cpobjcpos(dtree,duhr[ODBACK]);
	wdlg_set_size(copsdialog,(GRECT*)&duhr[ODBACK].ob_x);
	_switch_redraw(duhr);
}

void digredraw(WORD num)
{	GRECT box;
	WORD obj = (num < 0 ? ODPUNKT : digs[num]);
	
	objc_offset(duhr,obj,&box.g_x,&box.g_y);
	box.g_w = duhr[obj].ob_width;
	box.g_h = duhr[obj].ob_height;
	redraw(&box,duhr,(num < 4 ? ODRTIMEX : ODRDATEX));
}

void init_time_date(WORD mode)
{
	WORD i,*w;
	BITBLK *bit;

	get_time(watch);
	for ( w = watch,i = 0; i < 10; i++, w++ )
	{	
		bit = duhr[digs[i]].ob_spec.bitblk;
		if (bit->bi_pdata != ziffern[*w])
		{	bit->bi_pdata = ziffern[*w];
			if ( mode == DRAW_IT )
				digredraw(i);
		}
	}
}


WORD inc(WORD forward,WORD i,WORD max)
{
	if ( forward )
	{	if ( ++i > max ) i = 0; }
	else
		if ( --i < 0 ) i = max;
	return i;
}

void changemode(WORD forward)
{
	restore_blink();
	redraw(NULL,duhr,digs[blinknum]);
	blinknum = inc(forward,blinknum,9);
	duhr[digs[blinknum]].ob_spec.bitblk->bi_color = saveblk->colors[numcol][DISPLAY];
	redraw(NULL,duhr,digs[blinknum]);
}

void changedig(WORD forward)
{	WORD i = 0;
	
	switch (blinknum)
	{
	 case 0:	i = inc(forward,watch[0],(watch[1] < 4 ? 2 : 1)); break;
	 case 1:	i = inc(forward,watch[1],(watch[0] < 2 ? 9 : 3)); break;
	 case 2:
	 case 3:
	 case 8:
	 case 9:	i = inc(forward,watch[blinknum],9); break;
	 case 4:	i = inc(forward,watch[4],(watch[5] < 2 ? 3 : 2)); break;
	 case 5:	i = inc(forward,watch[5],(watch[4] < 3 ? 9 : 1)); break;
	 case 6:	i = inc(forward,watch[6],(watch[7] < 3 ? 1 : 0)); break;
	 case 7:	i = inc(forward,watch[7],(watch[6] == 0 ? 9 : 2)); break;
	}
	
	restore_blink();
	duhr[digs[blinknum]].ob_spec.bitblk->bi_pdata = ziffern[i];
	digredraw(blinknum);
	watch[blinknum] = i;
}



/* Universelle Redrawroutine
		ist clip == NULL, wird als clip das GRECT des Wurzelobjekts verwendet */
void redraw( GRECT *clip, OBJECT *tree, WORD obj)
{
	GRECT *win;
	
	if ( ! clip )
		clip = (GRECT*)&tree[ROOT].ob_x;
	wind_update(BEG_UPDATE);
	win = cpxGetFirstRect(xcpb,clip);
	while (win)
	{	if ( win->g_w == 0 && win->g_h == 0 )
			break;
		objc_draw(tree,obj,MAX_DEPTH,win->g_x,win->g_y,win->g_w,win->g_h);
		win = cpxGetNextRect(xcpb);
	}
	wind_update(END_UPDATE);
}



void top_window(void)
{	static WORD msg[8] = { WM_TOPPED, 0, 0, 0, 0, 0, 0, 0 };
	if ( !bevent ) return;
	msg[1] = apl_id;
	msg[3] = wdlg_get_handle(copsdialog);
	appl_write(apl_id,16,msg);
}


void _switch_redraw(OBJECT tree[])
{
	WORD msg[8];
	
	msg[0] = WM_REDRAW; msg[1] = apl_id; msg[2] = 0;
	msg[3] = wdlg_get_handle(copsdialog);
	*((GRECT*)&msg[4]) = *((GRECT*)&tree[ROOT].ob_x);
	appl_write(apl_id,16,msg);
}


GRECT rect;

void switch_to_info(void)
{	GRECT s;
	WORD x,y,w,h;
	
	wind_get(0,WF_WORKXYWH,&s.g_x,&s.g_y,&s.g_w,&s.g_h);
	x = duhr[ODBACK].ob_x;
	y = duhr[ODBACK].ob_y;
	w = info[OINFO].ob_width;
	h = info[OINFO].ob_height;
	rect = *(GRECT*)&duhr[ODBACK].ob_x;
	if ( x + w > s.g_x + s.g_w )   x = s.g_x + s.g_w - w;
	if ( x < s.g_x )	x = s.g_x;
	if ( y + h > s.g_y + s.g_h )   y = s.g_y + s.g_h - h;
	if ( y < s.g_y )    y = s.g_y;
	info[OINFO].ob_x = x;
	info[OINFO].ob_y = y;
	isinfodialog = TRUE;
	send_msg(SENDCPXET_UNSET,0,0,NULL);
	cpobjcpos(dtree,info[OINFO]);
	wdlg_set_size(copsdialog,(GRECT*)&info[OINFO].ob_x);
	_switch_redraw(info);
}


void switch_to_duhr(void)
{
	*(GRECT*)&duhr[ODBACK].ob_x = rect;
	isinfodialog = FALSE;
	
	init_noset_duhr();
	init_time_date(NO_DRAW);
	
	send_msg(SENDCPXET_SET,0,0,NULL);
	cpobjcpos(dtree,duhr[ODBACK]);
	wdlg_set_size(copsdialog,(GRECT*)&duhr[ODBACK].ob_x);
	_switch_redraw(duhr);
}


WORD sel_button(OBJECT *tree, WORD obj)
{
	GRECT box;
	WORD i;
	
	i = (tree[obj].ob_state ^= SELECTED) & SELECTED;
	if ( xobj )
	{ 	objc_offset(tree,obj,&box.g_x,&box.g_y);
	 	box.g_w = 16;
 		box.g_h = 16;
	 	redraw(&box,tree,ROOT);
	}
	else
		redraw(NULL,tree,obj);
 	return i;
}

/* Behandelt einen Mausklick auf einen Button */
WORD button_click( WORD mode, OBJECT *tree, WORD obj )
{	WORD x,y,b,i,ret = 0;

	if ( mode == 1)
		ret = sel_button(tree,obj);
	else if ( mode == 0 )
	{	tree[obj].ob_state ^= SELECTED;
		redraw(NULL,tree,obj);
	}
	for (;;)
	{	graf_mkstate(&x,&y,&b,&i);
		if ( ! (b & 3) )
		{	i = 1;
			break;
		}
		if ( obj != objc_find(tree,ROOT,MAX_DEPTH,x,y) )
		{	i = 0;
			break;
		}
	}
	if ( mode == 0)
	{	tree[obj].ob_state ^= SELECTED;
		redraw(NULL,tree,obj);
		return i;
	}
	return ret;
}
		
/* Zeigt Popup an, nur fuer info-Baum */
WORD Popup(WORD obj,char *menu[],WORD numitems,WORD start)
{	GRECT box;

	objc_offset(info,obj,&box.g_x,&box.g_y);
	box.g_w = info[obj].ob_width;
	box.g_h = info[obj].ob_height;
	return cpxPopup(xcpb,menu,numitems,start,IBM,&box,(GRECT*)&info[OINFO].ob_x);
}

/* Zeigt Popup an, nur fr duhr-Baum */
WORD ePopup(char *menu[],WORD numitems,WORD start)
{	GRECT box;
	WORD i;

	graf_mkstate(&box.g_x,&box.g_y,&i,&i);
	i = strlen(menu[0]) * 8;
	box.g_x -= (i>>1);
	box.g_y -= 4;
	box.g_w = i;
	box.g_h = 8;
	return cpxPopup(xcpb,menu,numitems,start,IBM,&box,(GRECT*)&duhr[ODBACK].ob_x);
}



void __new_col(void)
{
	 farbm = saveblk->colors[colm][wahlm];
	 info[OFSTRING].ob_spec.free_string = farbmenu[farbm];
	 info[OFBOX].ob_spec.index &= 0xfffffff0L;
	 info[OFBOX].ob_spec.index |= farbm;
}

void new_col(void)
{
	 __new_col();
	 redraw(NULL,info,OFARBE);
}

void new_colornum( WORD num )
{
	colm = num;
	info[OFANZ].ob_spec.free_string = colmenu[num];
	redraw(NULL,info,OFANZ);
	new_col();
}


void send_msg(WORD mode,WORD x,WORD y, char *s)
{	WORD msg[8+8+RAMSTRLEN/2+2], *mp;
	WORD xmsg_id, len, id;
	char *p;
	extern void *ram;
	extern WORD cram;
	
	if ( mode == SENDCPXET_SET || mode == SENDCPXET_UNSET )
	{	id = appl_find(CPXETIMER);
		if ( id < 0 ) return;
		msg[1] = apl_id;
		msg[2] = 0;
		msg[3] = wdlg_get_handle(copsdialog);
		msg[4] = msg[5] = msg[6] = msg[7] = 0;
		if ( mode == SENDCPXET_SET )
		{	msg[0] = CPXETIMER_SET;
			msg[4] = TIMER;
		}
		else msg[0] = CPXETIMER_UNSET;
		appl_write(id,16,msg);
		return;
	}
	
	if ( (xmsg_id = appl_find("XMSG    ")) < 0 )
	{
		if ( ram == NULL )
			return;
		if ( cram >= MAXSTR )  cram = 0;
		p = (char*)ram + RAMSTRLEN * cram;
	}
	else p = (char*)&msg[16];
	
	if ( mode == SENDBUBBLE )
	{	if ( (msg[3] = appl_find(BUBBLE)) < 0 )
			return;
		msg[4] = 5;
		msg[8] = BUBBLEGEM_SHOW;
		msg[11] = x;
		msg[12] = y;
		*(char**)&msg[13] = (xmsg_id >= 0 ? (char*)16L : p );
	}
	else
	{	if ( (msg[3] = appl_find(mode == SENDCOPS ? _COPS : STGUIDE)) < 0 )
			return;
		msg[4] = 3;
		msg[8] = VA_START;
		*(char**)&msg[11] = (xmsg_id >= 0 ? (char*)16L : p );
		msg[13] = 0;
		msg[14] = 0;
	}
	msg[10] = 0;
	msg[15] = 0;
	
	if ( xmsg_id >= 0 )
	{	len = 16 + 1 + strlen(s);
		if ( len > (RAMSTRLEN + 16) )
			len = RAMSTRLEN + 16;
		msg[0] = XMESSAGE;
		msg[1] = xmsg_id; /* Damit AV_STARTED etc. nicht an COPS gesendet wird */
		msg[2] = len;
		msg[5] = -1;
		msg[6] = 0;
		msg[7] = 0;
		msg[9] = xmsg_id;
		mp = msg;
	}
	else
	{	cram++;
		mp = &msg[8];
		len = 0;
		msg[9] = apl_id;
		xmsg_id = msg[3];
	}
	
	strncpy(p,s,RAMSTRLEN-1);
	p[RAMSTRLEN-1] = 0;
	appl_write(xmsg_id,16+len,mp);
}
